// 
// A joint work commissioned on behalf of SoC Labs.
//
// Contributors
//
// David Flynn (d.w.flynn@soton.ac.uk)
//
// Obfuscated RTL
//
// Copyright  2021-2, SoC Labs (www.soclabs.org)
//

/*
                    instances: 0
                        nodes: 1167 (0)
                  node widths: 1251 (0)
                      process: 8 (0)
                   contassign:  1187 (0)
                        ports: 13 (0)
*/

/* Source file "tokens.v", line 14 */
module ahb_bootrom__mangled(HCLK, HRESETn, HSEL, HADDR, HTRANS, HSIZE, HWRITE,
	HWDATA, HREADY, HREADYOUT, HRDATA, HRESP);

	input	[9:0]		HADDR;
	input	[1:0]		HTRANS;
	input	[2:0]		HSIZE;
	input	[31:0]		HWDATA;
	output	[31:0]		HRDATA;
	input			HCLK;
	input			HRESETn;
	input			HSEL;
	input			HWRITE;
	input			HREADY;
	output			HREADYOUT;
	output			HRESP;

	wire			Uqpfh7;
	wire			Zqpfh7;
	wire			Erpfh7;
	wire			Jrpfh7;
	wire			Orpfh7;
	wire			Trpfh7;
	wire			Yrpfh7;
	wire			Dspfh7;
	wire			Ispfh7;
	wire			Ospfh7;
	wire			Uspfh7;
	wire			Atpfh7;
	wire			Gtpfh7;
	wire			Mtpfh7;
	wire			Stpfh7;
	wire			Ytpfh7;
	wire			Eupfh7;
	wire			Kupfh7;
	wire			Qupfh7;
	wire			Wupfh7;
	wire			Cvpfh7;
	wire			Ivpfh7;
	wire			Ovpfh7;
	wire			Uvpfh7;
	wire			Awpfh7;
	wire			Gwpfh7;
	wire			Mwpfh7;
	wire			Swpfh7;
	wire			Ywpfh7;
	wire			Expfh7;
	wire			Kxpfh7;
	wire			Qxpfh7;
	wire			Wxpfh7;
	wire			Cypfh7;
	wire			Iypfh7;
	wire			Oypfh7;
	wire			Uypfh7;
	wire			Azpfh7;
	wire			Gzpfh7;
	wire			Mzpfh7;
	wire			Szpfh7;
	wire			Yzpfh7;
	wire			E0qfh7;
	wire			K0qfh7;
	wire			Q0qfh7;
	wire			W0qfh7;
	wire			C1qfh7;
	wire			I1qfh7;
	wire			O1qfh7;
	wire			U1qfh7;
	wire			A2qfh7;
	wire			G2qfh7;
	wire			M2qfh7;
	wire			S2qfh7;
	wire			Y2qfh7;
	wire			E3qfh7;
	wire			K3qfh7;
	wire			Q3qfh7;
	wire			W3qfh7;
	wire			C4qfh7;
	wire			I4qfh7;
	wire			O4qfh7;
	wire			U4qfh7;
	wire			A5qfh7;
	wire			G5qfh7;
	wire			M5qfh7;
	wire			S5qfh7;
	wire			Y5qfh7;
	wire			E6qfh7;
	wire			K6qfh7;
	wire			Q6qfh7;
	wire			W6qfh7;
	wire			C7qfh7;
	wire			I7qfh7;
	wire			O7qfh7;
	wire			U7qfh7;
	wire			A8qfh7;
	wire			G8qfh7;
	wire			M8qfh7;
	wire			S8qfh7;
	wire			Y8qfh7;
	wire			E9qfh7;
	wire			K9qfh7;
	wire			Q9qfh7;
	wire			W9qfh7;
	wire			Caqfh7;
	wire			Iaqfh7;
	wire			Oaqfh7;
	wire			Uaqfh7;
	wire			Abqfh7;
	wire			Gbqfh7;
	wire			Mbqfh7;
	wire			Sbqfh7;
	wire			Ybqfh7;
	wire			Ecqfh7;
	wire			Kcqfh7;
	wire			Qcqfh7;
	wire			Wcqfh7;
	wire			Cdqfh7;
	wire			Idqfh7;
	wire			Odqfh7;
	wire			Udqfh7;
	wire			Aeqfh7;
	wire			Geqfh7;
	wire			Meqfh7;
	wire			Seqfh7;
	wire			Yeqfh7;
	wire			Efqfh7;
	wire			Kfqfh7;
	wire			Qfqfh7;
	wire			Wfqfh7;
	wire			Cgqfh7;
	wire			Igqfh7;
	wire			Ogqfh7;
	wire			Ugqfh7;
	wire			Ahqfh7;
	wire			Ghqfh7;
	wire			Mhqfh7;
	wire			Shqfh7;
	wire			Yhqfh7;
	wire			Eiqfh7;
	wire			Kiqfh7;
	wire			Qiqfh7;
	wire			Wiqfh7;
	wire			Cjqfh7;
	wire			Ijqfh7;
	wire			Ojqfh7;
	wire			Ujqfh7;
	wire			Akqfh7;
	wire			Gkqfh7;
	wire			Mkqfh7;
	wire			Skqfh7;
	wire			Ykqfh7;
	wire			Elqfh7;
	wire			Klqfh7;
	wire			Qlqfh7;
	wire			Wlqfh7;
	wire			Cmqfh7;
	wire			Imqfh7;
	wire			Omqfh7;
	wire			Umqfh7;
	wire			Anqfh7;
	wire			Gnqfh7;
	wire			Mnqfh7;
	wire			Snqfh7;
	wire			Ynqfh7;
	wire			Eoqfh7;
	wire			Koqfh7;
	wire			Qoqfh7;
	wire			Woqfh7;
	wire			Cpqfh7;
	wire			Ipqfh7;
	wire			Opqfh7;
	wire			Upqfh7;
	wire			Aqqfh7;
	wire			Gqqfh7;
	wire			Mqqfh7;
	wire			Sqqfh7;
	wire			Yqqfh7;
	wire			Erqfh7;
	wire			Krqfh7;
	wire			Qrqfh7;
	wire			Wrqfh7;
	wire			Csqfh7;
	wire			Isqfh7;
	wire			Osqfh7;
	wire			Usqfh7;
	wire			Atqfh7;
	wire			Gtqfh7;
	wire			Mtqfh7;
	wire			Stqfh7;
	wire			Ytqfh7;
	wire			Euqfh7;
	wire			Kuqfh7;
	wire			Quqfh7;
	wire			Wuqfh7;
	wire			Cvqfh7;
	wire			Ivqfh7;
	wire			Ovqfh7;
	wire			Uvqfh7;
	wire			Awqfh7;
	wire			Gwqfh7;
	wire			Mwqfh7;
	wire			Swqfh7;
	wire			Ywqfh7;
	wire			Exqfh7;
	wire			Kxqfh7;
	wire			Qxqfh7;
	wire			Wxqfh7;
	wire			Cyqfh7;
	wire			Iyqfh7;
	wire			Oyqfh7;
	wire			Uyqfh7;
	wire			Azqfh7;
	wire			Gzqfh7;
	wire			Mzqfh7;
	wire			Szqfh7;
	wire			Yzqfh7;
	wire			E0rfh7;
	wire			K0rfh7;
	wire			Q0rfh7;
	wire			W0rfh7;
	wire			C1rfh7;
	wire			I1rfh7;
	wire			O1rfh7;
	wire			U1rfh7;
	wire			A2rfh7;
	wire			G2rfh7;
	wire			M2rfh7;
	wire			S2rfh7;
	wire			Y2rfh7;
	wire			E3rfh7;
	wire			K3rfh7;
	wire			Q3rfh7;
	wire			W3rfh7;
	wire			C4rfh7;
	wire			I4rfh7;
	wire			O4rfh7;
	wire			U4rfh7;
	wire			A5rfh7;
	wire			G5rfh7;
	wire			M5rfh7;
	wire			S5rfh7;
	wire			Y5rfh7;
	wire			E6rfh7;
	wire			K6rfh7;
	wire			Q6rfh7;
	wire			W6rfh7;
	wire			C7rfh7;
	wire			I7rfh7;
	wire			O7rfh7;
	wire			U7rfh7;
	wire			A8rfh7;
	wire			G8rfh7;
	wire			M8rfh7;
	wire			S8rfh7;
	wire			Y8rfh7;
	wire			E9rfh7;
	wire			K9rfh7;
	wire			Q9rfh7;
	wire			W9rfh7;
	wire			Carfh7;
	wire			Iarfh7;
	wire			Oarfh7;
	wire			Uarfh7;
	wire			Abrfh7;
	wire			Gbrfh7;
	wire			Mbrfh7;
	wire			Sbrfh7;
	wire			Ybrfh7;
	wire			Ecrfh7;
	wire			Kcrfh7;
	wire			Qcrfh7;
	wire			Wcrfh7;
	wire			Cdrfh7;
	wire			Idrfh7;
	wire			Odrfh7;
	wire			Udrfh7;
	wire			Aerfh7;
	wire			Gerfh7;
	wire			Merfh7;
	wire			Serfh7;
	wire			Yerfh7;
	wire			Efrfh7;
	wire			Kfrfh7;
	wire			Qfrfh7;
	wire			Wfrfh7;
	wire			Cgrfh7;
	wire			Igrfh7;
	wire			Ogrfh7;
	wire			Ugrfh7;
	wire			Ahrfh7;
	wire			Ghrfh7;
	wire			Mhrfh7;
	wire			Shrfh7;
	wire			Yhrfh7;
	wire			Eirfh7;
	wire			Kirfh7;
	wire			Qirfh7;
	wire			Wirfh7;
	wire			Cjrfh7;
	wire			Ijrfh7;
	wire			Ojrfh7;
	wire			Ujrfh7;
	wire			Akrfh7;
	wire			Gkrfh7;
	wire			Mkrfh7;
	wire			Skrfh7;
	wire			Ykrfh7;
	wire			Elrfh7;
	wire			Klrfh7;
	wire			Qlrfh7;
	wire			Wlrfh7;
	wire			Cmrfh7;
	wire			Imrfh7;
	wire			Omrfh7;
	wire			Umrfh7;
	wire			Anrfh7;
	wire			Gnrfh7;
	wire			Mnrfh7;
	wire			Snrfh7;
	wire			Ynrfh7;
	wire			Eorfh7;
	wire			Korfh7;
	wire			Qorfh7;
	wire			Worfh7;
	wire			Cprfh7;
	wire			Iprfh7;
	wire			Oprfh7;
	wire			Uprfh7;
	wire			Aqrfh7;
	wire			Gqrfh7;
	wire			Mqrfh7;
	wire			Sqrfh7;
	wire			Yqrfh7;
	wire			Errfh7;
	wire			Krrfh7;
	wire			Qrrfh7;
	wire			Wrrfh7;
	wire			Csrfh7;
	wire			Isrfh7;
	wire			Osrfh7;
	wire			Usrfh7;
	wire			Atrfh7;
	wire			Gtrfh7;
	wire			Mtrfh7;
	wire			Strfh7;
	wire			Ytrfh7;
	wire			Eurfh7;
	wire			Kurfh7;
	wire			Qurfh7;
	wire			Wurfh7;
	wire			Cvrfh7;
	wire			Ivrfh7;
	wire			Ovrfh7;
	wire			Uvrfh7;
	wire			Awrfh7;
	wire			Gwrfh7;
	wire			Mwrfh7;
	wire			Swrfh7;
	wire			Ywrfh7;
	wire			Exrfh7;
	wire			Kxrfh7;
	wire			Qxrfh7;
	wire			Wxrfh7;
	wire			Cyrfh7;
	wire			Iyrfh7;
	wire			Oyrfh7;
	wire			Uyrfh7;
	wire			Azrfh7;
	wire			Gzrfh7;
	wire			Mzrfh7;
	wire			Szrfh7;
	wire			Yzrfh7;
	wire			E0sfh7;
	wire			K0sfh7;
	wire			Q0sfh7;
	wire			W0sfh7;
	wire			C1sfh7;
	wire			I1sfh7;
	wire			O1sfh7;
	wire			U1sfh7;
	wire			A2sfh7;
	wire			G2sfh7;
	wire			M2sfh7;
	wire			S2sfh7;
	wire			Y2sfh7;
	wire			E3sfh7;
	wire			K3sfh7;
	wire			Q3sfh7;
	wire			W3sfh7;
	wire			C4sfh7;
	wire			I4sfh7;
	wire			O4sfh7;
	wire			U4sfh7;
	wire			A5sfh7;
	wire			G5sfh7;
	wire			M5sfh7;
	wire			S5sfh7;
	wire			Y5sfh7;
	wire			E6sfh7;
	wire			K6sfh7;
	wire			Q6sfh7;
	wire			W6sfh7;
	wire			C7sfh7;
	wire			I7sfh7;
	wire			O7sfh7;
	wire			U7sfh7;
	wire			A8sfh7;
	wire			G8sfh7;
	wire			M8sfh7;
	wire			S8sfh7;
	wire			Y8sfh7;
	wire			E9sfh7;
	wire			K9sfh7;
	wire			Q9sfh7;
	wire			W9sfh7;
	wire			Casfh7;
	wire			Iasfh7;
	wire			Oasfh7;
	wire			Uasfh7;
	wire			Absfh7;
	wire			Gbsfh7;
	wire			Mbsfh7;
	wire			Sbsfh7;
	wire			Ybsfh7;
	wire			Ecsfh7;
	wire			Kcsfh7;
	wire			Qcsfh7;
	wire			Wcsfh7;
	wire			Cdsfh7;
	wire			Idsfh7;
	wire			Odsfh7;
	wire			Udsfh7;
	wire			Aesfh7;
	wire			Gesfh7;
	wire			Mesfh7;
	wire			Sesfh7;
	wire			Yesfh7;
	wire			Efsfh7;
	wire			Kfsfh7;
	wire			Qfsfh7;
	wire			Wfsfh7;
	wire			Cgsfh7;
	wire			Igsfh7;
	wire			Ogsfh7;
	wire			Ugsfh7;
	wire			Ahsfh7;
	wire			Ghsfh7;
	wire			Mhsfh7;
	wire			Shsfh7;
	wire			Yhsfh7;
	wire			Eisfh7;
	wire			Kisfh7;
	wire			Qisfh7;
	wire			Wisfh7;
	wire			Cjsfh7;
	wire			Ijsfh7;
	wire			Ojsfh7;
	wire			Ujsfh7;
	wire			Aksfh7;
	wire			Gksfh7;
	wire			Mksfh7;
	wire			Sksfh7;
	wire			Yksfh7;
	wire			Elsfh7;
	wire			Klsfh7;
	wire			Qlsfh7;
	wire			Wlsfh7;
	wire			Cmsfh7;
	wire			Imsfh7;
	wire			Omsfh7;
	wire			Umsfh7;
	wire			Ansfh7;
	wire			Gnsfh7;
	wire			Mnsfh7;
	wire			Snsfh7;
	wire			Ynsfh7;
	wire			Eosfh7;
	wire			Kosfh7;
	wire			Qosfh7;
	wire			Wosfh7;
	wire			Cpsfh7;
	wire			Ipsfh7;
	wire			Opsfh7;
	wire			Upsfh7;
	wire			Aqsfh7;
	wire			Gqsfh7;
	wire			Mqsfh7;
	wire			Sqsfh7;
	wire			Yqsfh7;
	wire			Ersfh7;
	wire			Krsfh7;
	wire			Qrsfh7;
	wire			Wrsfh7;
	wire			Cssfh7;
	wire			Issfh7;
	wire			Ossfh7;
	wire			Ussfh7;
	wire			Atsfh7;
	wire			Gtsfh7;
	wire			Mtsfh7;
	wire			Stsfh7;
	wire			Ytsfh7;
	wire			Eusfh7;
	wire			Kusfh7;
	wire			Qusfh7;
	wire			Wusfh7;
	wire			Cvsfh7;
	wire			Ivsfh7;
	wire			Ovsfh7;
	wire			Uvsfh7;
	wire			Awsfh7;
	wire			Gwsfh7;
	wire			Mwsfh7;
	wire			Swsfh7;
	wire			Ywsfh7;
	wire			Exsfh7;
	wire			Kxsfh7;
	wire			Qxsfh7;
	wire			Wxsfh7;
	wire			Cysfh7;
	wire			Iysfh7;
	wire			Oysfh7;
	wire			Uysfh7;
	wire			Azsfh7;
	wire			Gzsfh7;
	wire			Mzsfh7;
	wire			Szsfh7;
	wire			Yzsfh7;
	wire			E0tfh7;
	wire			K0tfh7;
	wire			Q0tfh7;
	wire			W0tfh7;
	wire			C1tfh7;
	wire			I1tfh7;
	wire			O1tfh7;
	wire			U1tfh7;
	wire			A2tfh7;
	wire			G2tfh7;
	wire			M2tfh7;
	wire			S2tfh7;
	wire			Y2tfh7;
	wire			E3tfh7;
	wire			K3tfh7;
	wire			Q3tfh7;
	wire			W3tfh7;
	wire			C4tfh7;
	wire			I4tfh7;
	wire			O4tfh7;
	wire			U4tfh7;
	wire			A5tfh7;
	wire			G5tfh7;
	wire			M5tfh7;
	wire			S5tfh7;
	wire			Y5tfh7;
	wire			E6tfh7;
	wire			K6tfh7;
	wire			Q6tfh7;
	wire			W6tfh7;
	wire			C7tfh7;
	wire			I7tfh7;
	wire			O7tfh7;
	wire			U7tfh7;
	wire			A8tfh7;
	wire			G8tfh7;
	wire			M8tfh7;
	wire			S8tfh7;
	wire			Y8tfh7;
	wire			E9tfh7;
	wire			K9tfh7;
	wire			Q9tfh7;
	wire			W9tfh7;
	wire			Catfh7;
	wire			Iatfh7;
	wire			Oatfh7;
	wire			Uatfh7;
	wire			Abtfh7;
	wire			Gbtfh7;
	wire			Mbtfh7;
	wire			Sbtfh7;
	wire			Ybtfh7;
	wire			Ectfh7;
	wire			Kctfh7;
	wire			Qctfh7;
	wire			Wctfh7;
	wire			Cdtfh7;
	wire			Idtfh7;
	wire			Odtfh7;
	wire			Udtfh7;
	wire			Aetfh7;
	wire			Getfh7;
	wire			Metfh7;
	wire			Setfh7;
	wire			Yetfh7;
	wire			Eftfh7;
	wire			Kftfh7;
	wire			Qftfh7;
	wire			Wftfh7;
	wire			Cgtfh7;
	wire			Igtfh7;
	wire			Ogtfh7;
	wire			Ugtfh7;
	wire			Ahtfh7;
	wire			Ghtfh7;
	wire			Mhtfh7;
	wire			Shtfh7;
	wire			Yhtfh7;
	wire			Eitfh7;
	wire			Kitfh7;
	wire			Qitfh7;
	wire			Witfh7;
	wire			Cjtfh7;
	wire			Ijtfh7;
	wire			Ojtfh7;
	wire			Ujtfh7;
	wire			Aktfh7;
	wire			Gktfh7;
	wire			Mktfh7;
	wire			Sktfh7;
	wire			Yktfh7;
	wire			Eltfh7;
	wire			Kltfh7;
	wire			Qltfh7;
	wire			Wltfh7;
	wire			Cmtfh7;
	wire			Imtfh7;
	wire			Omtfh7;
	wire			Umtfh7;
	wire			Antfh7;
	wire			Gntfh7;
	wire			Mntfh7;
	wire			Sntfh7;
	wire			Yntfh7;
	wire			Eotfh7;
	wire			Kotfh7;
	wire			Qotfh7;
	wire			Wotfh7;
	wire			Cptfh7;
	wire			Iptfh7;
	wire			Optfh7;
	wire			Uptfh7;
	wire			Aqtfh7;
	wire			Gqtfh7;
	wire			Mqtfh7;
	wire			Sqtfh7;
	wire			Yqtfh7;
	wire			Ertfh7;
	wire			Krtfh7;
	wire			Qrtfh7;
	wire			Wrtfh7;
	wire			Cstfh7;
	wire			Istfh7;
	wire			Ostfh7;
	wire			Ustfh7;
	wire			Attfh7;
	wire			Gttfh7;
	wire			Mttfh7;
	wire			Sttfh7;
	wire			Yttfh7;
	wire			Eutfh7;
	wire			Kutfh7;
	wire			Qutfh7;
	wire			Wutfh7;
	wire			Cvtfh7;
	wire			Ivtfh7;
	wire			Ovtfh7;
	wire			Uvtfh7;
	wire			Awtfh7;
	wire			Gwtfh7;
	wire			Mwtfh7;
	wire			Swtfh7;
	wire			Ywtfh7;
	wire			Extfh7;
	wire			Kxtfh7;
	wire			Qxtfh7;
	wire			Wxtfh7;
	wire			Cytfh7;
	wire			Iytfh7;
	wire			Oytfh7;
	wire			Uytfh7;
	wire			Aztfh7;
	wire			Gztfh7;
	wire			Mztfh7;
	wire			Sztfh7;
	wire			Yztfh7;
	wire			E0ufh7;
	wire			K0ufh7;
	wire			Q0ufh7;
	wire			W0ufh7;
	wire			C1ufh7;
	wire			I1ufh7;
	wire			O1ufh7;
	wire			U1ufh7;
	wire			A2ufh7;
	wire			G2ufh7;
	wire			M2ufh7;
	wire			S2ufh7;
	wire			Y2ufh7;
	wire			E3ufh7;
	wire			K3ufh7;
	wire			Q3ufh7;
	wire			W3ufh7;
	wire			C4ufh7;
	wire			I4ufh7;
	wire			O4ufh7;
	wire			U4ufh7;
	wire			A5ufh7;
	wire			G5ufh7;
	wire			M5ufh7;
	wire			S5ufh7;
	wire			Y5ufh7;
	wire			E6ufh7;
	wire			K6ufh7;
	wire			Q6ufh7;
	wire			W6ufh7;
	wire			C7ufh7;
	wire			I7ufh7;
	wire			O7ufh7;
	wire			U7ufh7;
	wire			A8ufh7;
	wire			G8ufh7;
	wire			M8ufh7;
	wire			S8ufh7;
	wire			Y8ufh7;
	wire			E9ufh7;
	wire			K9ufh7;
	wire			Q9ufh7;
	wire			W9ufh7;
	wire			Caufh7;
	wire			Iaufh7;
	wire			Oaufh7;
	wire			Uaufh7;
	wire			Abufh7;
	wire			Gbufh7;
	wire			Mbufh7;
	wire			Sbufh7;
	wire			Ybufh7;
	wire			Ecufh7;
	wire			Kcufh7;
	wire			Qcufh7;
	wire			Wcufh7;
	wire			Cdufh7;
	wire			Idufh7;
	wire			Odufh7;
	wire			Udufh7;
	wire			Aeufh7;
	wire			Geufh7;
	wire			Meufh7;
	wire			Seufh7;
	wire			Yeufh7;
	wire			Efufh7;
	wire			Kfufh7;
	wire			Qfufh7;
	wire			Wfufh7;
	wire			Cgufh7;
	wire			Igufh7;
	wire			Ogufh7;
	wire			Ugufh7;
	wire			Ahufh7;
	wire			Ghufh7;
	wire			Mhufh7;
	wire			Shufh7;
	wire			Yhufh7;
	wire			Eiufh7;
	wire			Kiufh7;
	wire			Qiufh7;
	wire			Wiufh7;
	wire			Cjufh7;
	wire			Ijufh7;
	wire			Ojufh7;
	wire			Ujufh7;
	wire			Akufh7;
	wire			Gkufh7;
	wire			Mkufh7;
	wire			Skufh7;
	wire			Ykufh7;
	wire			Elufh7;
	wire			Klufh7;
	wire			Qlufh7;
	wire			Wlufh7;
	wire			Cmufh7;
	wire			Imufh7;
	wire			Omufh7;
	wire			Umufh7;
	wire			Anufh7;
	wire			Gnufh7;
	wire			Mnufh7;
	wire			Snufh7;
	wire			Ynufh7;
	wire			Eoufh7;
	wire			Koufh7;
	wire			Qoufh7;
	wire			Woufh7;
	wire			Cpufh7;
	wire			Ipufh7;
	wire			Opufh7;
	wire			Upufh7;
	wire			Aqufh7;
	wire			Gqufh7;
	wire			Mqufh7;
	wire			Squfh7;
	wire			Yqufh7;
	wire			Erufh7;
	wire			Krufh7;
	wire			Qrufh7;
	wire			Wrufh7;
	wire			Csufh7;
	wire			Isufh7;
	wire			Osufh7;
	wire			Usufh7;
	wire			Atufh7;
	wire			Gtufh7;
	wire			Mtufh7;
	wire			Stufh7;
	wire			Ytufh7;
	wire			Euufh7;
	wire			Kuufh7;
	wire			Quufh7;
	wire			Wuufh7;
	wire			Cvufh7;
	wire			Ivufh7;
	wire			Ovufh7;
	wire			Uvufh7;
	wire			Awufh7;
	wire			Gwufh7;
	wire			Mwufh7;
	wire			Swufh7;
	wire			Ywufh7;
	wire			Exufh7;
	wire			Kxufh7;
	wire			Qxufh7;
	wire			Wxufh7;
	wire			Cyufh7;
	wire			Iyufh7;
	wire			Oyufh7;
	wire			Uyufh7;
	wire			Azufh7;
	wire			Gzufh7;
	wire			Mzufh7;
	wire			Szufh7;
	wire			Yzufh7;
	wire			E0vfh7;
	wire			K0vfh7;
	wire			Q0vfh7;
	wire			W0vfh7;
	wire			C1vfh7;
	wire			I1vfh7;
	wire			O1vfh7;
	wire			U1vfh7;
	wire			A2vfh7;
	wire			G2vfh7;
	wire			M2vfh7;
	wire			S2vfh7;
	wire			Y2vfh7;
	wire			E3vfh7;
	wire			K3vfh7;
	wire			Q3vfh7;
	wire			W3vfh7;
	wire			C4vfh7;
	wire			I4vfh7;
	wire			O4vfh7;
	wire			U4vfh7;
	wire			A5vfh7;
	wire			G5vfh7;
	wire			M5vfh7;
	wire			S5vfh7;
	wire			Y5vfh7;
	wire			E6vfh7;
	wire			K6vfh7;
	wire			Q6vfh7;
	wire			W6vfh7;
	wire			C7vfh7;
	wire			I7vfh7;
	wire			O7vfh7;
	wire			U7vfh7;
	wire			A8vfh7;
	wire			G8vfh7;
	wire			M8vfh7;
	wire			S8vfh7;
	wire			Y8vfh7;
	wire			E9vfh7;
	wire			K9vfh7;
	wire			Q9vfh7;
	wire			W9vfh7;
	wire			Cavfh7;
	wire			Iavfh7;
	wire			Oavfh7;
	wire			Uavfh7;
	wire			Abvfh7;
	wire			Gbvfh7;
	wire			Mbvfh7;
	wire			Sbvfh7;
	wire			Ybvfh7;
	wire			Ecvfh7;
	wire			Kcvfh7;
	wire			Qcvfh7;
	wire			Wcvfh7;
	wire			Cdvfh7;
	wire			Idvfh7;
	wire			Odvfh7;
	wire			Udvfh7;
	wire			Aevfh7;
	wire			Gevfh7;
	wire			Mevfh7;
	wire			Sevfh7;
	wire			Yevfh7;
	wire			Efvfh7;
	wire			Kfvfh7;
	wire			Qfvfh7;
	wire			Wfvfh7;
	wire			Cgvfh7;
	wire			Igvfh7;
	wire			Ogvfh7;
	wire			Ugvfh7;
	wire			Ahvfh7;
	wire			Ghvfh7;
	wire			Mhvfh7;
	wire			Shvfh7;
	wire			Yhvfh7;
	wire			Eivfh7;
	wire			Kivfh7;
	wire			Qivfh7;
	wire			Wivfh7;
	wire			Cjvfh7;
	wire			Ijvfh7;
	wire			Ojvfh7;
	wire			Ujvfh7;
	wire			Akvfh7;
	wire			Gkvfh7;
	wire			Mkvfh7;
	wire			Skvfh7;
	wire			Ykvfh7;
	wire			Elvfh7;
	wire			Klvfh7;
	wire			Qlvfh7;
	wire			Wlvfh7;
	wire			Cmvfh7;
	wire			Imvfh7;
	wire			Omvfh7;
	wire			Umvfh7;
	wire			Anvfh7;
	wire			Gnvfh7;
	wire			Mnvfh7;
	wire			Snvfh7;
	wire			Ynvfh7;
	wire			Eovfh7;
	wire			Kovfh7;
	wire			Qovfh7;
	wire			Wovfh7;
	wire			Cpvfh7;
	wire			Ipvfh7;
	wire			Opvfh7;
	wire			Upvfh7;
	wire			Aqvfh7;
	wire			Gqvfh7;
	wire			Mqvfh7;
	wire			Sqvfh7;
	wire			Yqvfh7;
	wire			Ervfh7;
	wire			Krvfh7;
	wire			Qrvfh7;
	wire			Wrvfh7;
	wire			Csvfh7;
	wire			Isvfh7;
	wire			Osvfh7;
	wire			Usvfh7;
	wire			Atvfh7;
	wire			Gtvfh7;
	wire			Mtvfh7;
	wire			Stvfh7;
	wire			Ytvfh7;
	wire			Euvfh7;
	wire			Kuvfh7;
	wire			Quvfh7;
	wire			Wuvfh7;
	wire			Cvvfh7;
	wire			Ivvfh7;
	wire			Ovvfh7;
	wire			Uvvfh7;
	wire			Awvfh7;
	wire			Gwvfh7;
	wire			Mwvfh7;
	wire			Swvfh7;
	wire			Ywvfh7;
	wire			Exvfh7;
	wire			Kxvfh7;
	wire			Qxvfh7;
	wire			Wxvfh7;
	wire			Cyvfh7;
	wire			Iyvfh7;
	wire			Oyvfh7;
	wire			Uyvfh7;
	wire			Azvfh7;
	wire			Gzvfh7;
	wire			Mzvfh7;
	wire			Szvfh7;
	wire			Yzvfh7;
	wire			E0wfh7;
	wire			K0wfh7;
	wire			Q0wfh7;
	wire			W0wfh7;
	wire			C1wfh7;
	wire			I1wfh7;
	wire			O1wfh7;
	wire			U1wfh7;
	wire			A2wfh7;
	wire			G2wfh7;
	wire			M2wfh7;
	wire			S2wfh7;
	wire			Y2wfh7;
	wire			E3wfh7;
	wire			K3wfh7;
	wire			Q3wfh7;
	wire			W3wfh7;
	wire			C4wfh7;
	wire			I4wfh7;
	wire			O4wfh7;
	wire			U4wfh7;
	wire			A5wfh7;
	wire			G5wfh7;
	wire			M5wfh7;
	wire			S5wfh7;
	wire			Y5wfh7;
	wire			E6wfh7;
	wire			K6wfh7;
	wire			Q6wfh7;
	wire			W6wfh7;
	wire			C7wfh7;
	wire			I7wfh7;
	wire			O7wfh7;
	wire			U7wfh7;
	wire			A8wfh7;
	wire			G8wfh7;
	wire			M8wfh7;
	wire			S8wfh7;
	wire			Y8wfh7;
	wire			E9wfh7;
	wire			K9wfh7;
	wire			Q9wfh7;
	wire			W9wfh7;
	wire			Cawfh7;
	wire			Iawfh7;
	wire			Oawfh7;
	wire			Uawfh7;
	wire			Abwfh7;
	wire			Gbwfh7;
	wire			Mbwfh7;
	wire			Sbwfh7;
	wire			Ybwfh7;
	wire			Ecwfh7;
	wire			Kcwfh7;
	wire			Qcwfh7;
	wire			Wcwfh7;
	wire			Cdwfh7;
	wire			Idwfh7;
	wire			Odwfh7;
	wire			Udwfh7;
	wire			Aewfh7;
	wire			Gewfh7;
	wire			Mewfh7;
	wire			Sewfh7;
	wire			Yewfh7;
	wire			Efwfh7;
	wire			Kfwfh7;
	wire			Qfwfh7;
	wire			Wfwfh7;
	wire			Cgwfh7;
	wire			Igwfh7;
	wire			Ogwfh7;
	wire			Ugwfh7;
	wire			Ahwfh7;
	wire			Ghwfh7;
	wire			Mhwfh7;
	wire			Shwfh7;
	wire			Yhwfh7;
	wire			Eiwfh7;
	wire			Kiwfh7;
	wire			Qiwfh7;
	wire			Wiwfh7;
	wire			Cjwfh7;
	wire			Ijwfh7;
	wire			Ojwfh7;
	wire			Ujwfh7;
	wire			Akwfh7;
	wire			Gkwfh7;
	wire			Mkwfh7;
	wire			Skwfh7;
	wire			Ykwfh7;
	wire			Elwfh7;
	wire			Klwfh7;
	wire			Qlwfh7;
	wire			Wlwfh7;
	wire			Cmwfh7;
	wire			Imwfh7;
	wire			Omwfh7;
	wire			Umwfh7;
	wire			Anwfh7;
	wire			Gnwfh7;
	wire			Mnwfh7;
	wire			Snwfh7;
	wire			Ynwfh7;
	wire			Eowfh7;
	wire			Kowfh7;
	wire			Qowfh7;
	wire			Wowfh7;
	wire			Cpwfh7;
	wire			Ipwfh7;
	wire			Opwfh7;
	wire			Upwfh7;
	wire			Aqwfh7;
	wire			Gqwfh7;
	wire			Mqwfh7;
	wire			Sqwfh7;
	wire			Yqwfh7;
	wire			Erwfh7;
	wire			Krwfh7;
	wire			Qrwfh7;
	wire			Wrwfh7;
	wire			Cswfh7;
	wire			Iswfh7;
	wire			Oswfh7;
	wire			Uswfh7;
	wire			Atwfh7;
	wire			Gtwfh7;
	wire			Mtwfh7;
	wire			Stwfh7;
	wire			Ytwfh7;
	wire			Euwfh7;
	wire			Kuwfh7;
	wire			Quwfh7;
	wire			Wuwfh7;
	wire			Cvwfh7;
	wire			Ivwfh7;
	wire			Ovwfh7;
	wire			Uvwfh7;
	wire			Awwfh7;
	wire			Gwwfh7;
	wire			Mwwfh7;
	wire			Swwfh7;
	wire			Ywwfh7;
	wire			Exwfh7;
	wire			Kxwfh7;
	wire			Qxwfh7;
	wire			Wxwfh7;
	wire			Cywfh7;
	wire			Iywfh7;
	wire			Oywfh7;
	wire			Uywfh7;
	wire			Azwfh7;
	wire			Gzwfh7;
	wire			Mzwfh7;
	wire			Szwfh7;
	wire			Yzwfh7;
	wire			E0xfh7;
	wire			K0xfh7;
	wire			Q0xfh7;
	wire			W0xfh7;
	wire			C1xfh7;
	wire			I1xfh7;
	wire			O1xfh7;
	wire			U1xfh7;
	wire			A2xfh7;
	wire			G2xfh7;
	wire			M2xfh7;
	wire	[9:2]		S2xfh7;
	reg			J3xfh7;
	reg			H4xfh7;
	reg			F5xfh7;
	reg			D6xfh7;
	reg			B7xfh7;
	reg			Z7xfh7;
	reg			X8xfh7;
	reg			V9xfh7;

	assign HREADYOUT = 1'b1;
	assign HRESP = 1'b0;
	assign S2xfh7[2] = J3xfh7;
	assign S2xfh7[3] = H4xfh7;
	assign S2xfh7[4] = F5xfh7;
	assign S2xfh7[5] = D6xfh7;
	assign S2xfh7[6] = B7xfh7;
	assign S2xfh7[7] = Z7xfh7;
	assign S2xfh7[8] = X8xfh7;
	assign S2xfh7[9] = V9xfh7;
	assign Dspfh7 = (Ispfh7 ? S2xfh7[2] : HADDR[2]);
	assign Yrpfh7 = (Ispfh7 ? S2xfh7[3] : HADDR[3]);
	assign Trpfh7 = (Ispfh7 ? S2xfh7[4] : HADDR[4]);
	assign Orpfh7 = (Ispfh7 ? S2xfh7[5] : HADDR[5]);
	assign Jrpfh7 = (Ispfh7 ? S2xfh7[6] : HADDR[6]);
	assign Erpfh7 = (Ispfh7 ? S2xfh7[7] : HADDR[7]);
	assign Ispfh7 = (!Ospfh7);
	assign Zqpfh7 = (Ospfh7 ? HADDR[8] : S2xfh7[8]);
	assign Uqpfh7 = (Ospfh7 ? HADDR[9] : S2xfh7[9]);
	assign Ospfh7 = (Uspfh7 & Atpfh7);
	assign Atpfh7 = (~(Gtpfh7 | HWRITE));
	assign Gtpfh7 = (!HREADY);
	assign Uspfh7 = (HTRANS[1] & HSEL);
	assign HRDATA[9] = (~(Mtpfh7 & Stpfh7));
	assign Stpfh7 = (Ytpfh7 & Eupfh7);
	assign Eupfh7 = (Kupfh7 & Qupfh7);
	assign Qupfh7 = (~(Wupfh7 | Cvpfh7));
	assign Kupfh7 = (Ivpfh7 & Ovpfh7);
	assign Ytpfh7 = (Uvpfh7 & Awpfh7);
	assign Awpfh7 = (Gwpfh7 & Mwpfh7);
	assign Uvpfh7 = (Swpfh7 & Ywpfh7);
	assign Mtpfh7 = (Expfh7 & Kxpfh7);
	assign Kxpfh7 = (Qxpfh7 & Wxpfh7);
	assign Wxpfh7 = (~(Cypfh7 | Iypfh7));
	assign Qxpfh7 = (~(Oypfh7 | Uypfh7));
	assign Expfh7 = (Azpfh7 & Gzpfh7);
	assign Azpfh7 = (Mzpfh7 & Szpfh7);
	assign HRDATA[8] = (~(Yzpfh7 & E0qfh7));
	assign E0qfh7 = (K0qfh7 & Q0qfh7);
	assign Q0qfh7 = (W0qfh7 & C1qfh7);
	assign C1qfh7 = (I1qfh7 & O1qfh7);
	assign W0qfh7 = (U1qfh7 & A2qfh7);
	assign K0qfh7 = (G2qfh7 & M2qfh7);
	assign G2qfh7 = (S2qfh7 & Y2qfh7);
	assign Yzpfh7 = (E3qfh7 & K3qfh7);
	assign K3qfh7 = (Q3qfh7 & W3qfh7);
	assign Q3qfh7 = (C4qfh7 & I4qfh7);
	assign E3qfh7 = (O4qfh7 & U4qfh7);
	assign O4qfh7 = (A5qfh7 & G5qfh7);
	assign HRDATA[7] = (~(M5qfh7 & S5qfh7));
	assign S5qfh7 = (Y5qfh7 & E6qfh7);
	assign E6qfh7 = (K6qfh7 & Q6qfh7);
	assign Y5qfh7 = (W6qfh7 & C7qfh7);
	assign M5qfh7 = (I7qfh7 & O7qfh7);
	assign O7qfh7 = (Szpfh7 & U7qfh7);
	assign Szpfh7 = (A8qfh7 & G8qfh7);
	assign G8qfh7 = (M8qfh7 & S8qfh7);
	assign S8qfh7 = (Y8qfh7 & E9qfh7);
	assign Y8qfh7 = (K9qfh7 & Q9qfh7);
	assign M8qfh7 = (W9qfh7 & Caqfh7);
	assign W9qfh7 = (Iaqfh7 & Oaqfh7);
	assign A8qfh7 = (Uaqfh7 & Abqfh7);
	assign Abqfh7 = (Gbqfh7 & Mbqfh7);
	assign Gbqfh7 = (Sbqfh7 & Ybqfh7);
	assign Uaqfh7 = (Ecqfh7 & Kcqfh7);
	assign I7qfh7 = (Qcqfh7 & Wcqfh7);
	assign HRDATA[6] = (~(Cdqfh7 & Idqfh7));
	assign Idqfh7 = (Odqfh7 & Udqfh7);
	assign Udqfh7 = (Aeqfh7 & Geqfh7);
	assign Odqfh7 = (Meqfh7 & Seqfh7);
	assign Cdqfh7 = (Yeqfh7 & Efqfh7);
	assign Efqfh7 = (Kfqfh7 & Qfqfh7);
	assign Yeqfh7 = (~(Wfqfh7 | Cgqfh7));
	assign HRDATA[5] = (~(Igqfh7 & Ogqfh7));
	assign Ogqfh7 = (Ugqfh7 & Ahqfh7);
	assign Ahqfh7 = (Ghqfh7 & Mhqfh7);
	assign Mhqfh7 = (Shqfh7 & Sbqfh7);
	assign Ghqfh7 = (Yhqfh7 & Eiqfh7);
	assign Ugqfh7 = (Kiqfh7 & Qiqfh7);
	assign Qiqfh7 = (Wiqfh7 & Cjqfh7);
	assign Kiqfh7 = (Ijqfh7 & Ojqfh7);
	assign Igqfh7 = (Ujqfh7 & Akqfh7);
	assign Akqfh7 = (Gkqfh7 & Mkqfh7);
	assign Mkqfh7 = (Skqfh7 & Ykqfh7);
	assign Gkqfh7 = (~(Elqfh7 | Klqfh7));
	assign Ujqfh7 = (Qlqfh7 & Wlqfh7);
	assign Wlqfh7 = (Qfqfh7 & Cmqfh7);
	assign Qfqfh7 = (Imqfh7 & Omqfh7);
	assign Omqfh7 = (Umqfh7 & Anqfh7);
	assign Anqfh7 = (Gwpfh7 & Gnqfh7);
	assign Umqfh7 = (Mnqfh7 & Swpfh7);
	assign Imqfh7 = (Snqfh7 & Ynqfh7);
	assign Ynqfh7 = (~(Eoqfh7 | Koqfh7));
	assign Snqfh7 = (Qoqfh7 & Woqfh7);
	assign Qlqfh7 = (Cpqfh7 & Ipqfh7);
	assign HRDATA[4] = (~(Opqfh7 & Upqfh7));
	assign Upqfh7 = (Aqqfh7 & Gqqfh7);
	assign Gqqfh7 = (Mqqfh7 & Sqqfh7);
	assign Mqqfh7 = (K9qfh7 & Geqfh7);
	assign Aqqfh7 = (Yqqfh7 & Erqfh7);
	assign Yqqfh7 = (Krqfh7 & Qrqfh7);
	assign Opqfh7 = (Wrqfh7 & Csqfh7);
	assign Csqfh7 = (Isqfh7 & Osqfh7);
	assign Isqfh7 = (Woqfh7 & Ecqfh7);
	assign Woqfh7 = (Usqfh7 & Atqfh7);
	assign Atqfh7 = (Gtqfh7 & Mtqfh7);
	assign Mtqfh7 = (Stqfh7 & Ytqfh7);
	assign Stqfh7 = (Caqfh7 & Oaqfh7);
	assign Gtqfh7 = (Euqfh7 & Kuqfh7);
	assign Euqfh7 = (W6qfh7 & Quqfh7);
	assign Usqfh7 = (Wuqfh7 & Cvqfh7);
	assign Cvqfh7 = (Ivqfh7 & Wcqfh7);
	assign Ivqfh7 = (Gzpfh7 & Ovqfh7);
	assign Wuqfh7 = (Uvqfh7 & Awqfh7);
	assign Wrqfh7 = (Gwqfh7 & Mwqfh7);
	assign HRDATA[3] = (~(Swqfh7 & Ywqfh7));
	assign Ywqfh7 = (Exqfh7 & Kxqfh7);
	assign Kxqfh7 = (Qxqfh7 & Wxqfh7);
	assign Wxqfh7 = (Cyqfh7 & Mwpfh7);
	assign Qxqfh7 = (Iyqfh7 & Oyqfh7);
	assign Exqfh7 = (Uyqfh7 & Azqfh7);
	assign Uyqfh7 = (Gzqfh7 & Mzqfh7);
	assign Swqfh7 = (Szqfh7 & Yzqfh7);
	assign Yzqfh7 = (E0rfh7 & K0rfh7);
	assign K0rfh7 = (Kcqfh7 & Q0rfh7);
	assign Kcqfh7 = (W0rfh7 & C1rfh7);
	assign C1rfh7 = (I1rfh7 & O1rfh7);
	assign O1rfh7 = (U1rfh7 & A2rfh7);
	assign A2rfh7 = (G2rfh7 & M2rfh7);
	assign U1rfh7 = (S2rfh7 & Shqfh7);
	assign I1rfh7 = (Y2rfh7 & E3rfh7);
	assign Y2rfh7 = (K3rfh7 & Q3rfh7);
	assign W0rfh7 = (W3rfh7 & C4rfh7);
	assign C4rfh7 = (I4rfh7 & O4rfh7);
	assign O4rfh7 = (U4rfh7 & A5rfh7);
	assign U4rfh7 = (G5rfh7 | M5rfh7);
	assign I4rfh7 = (S5rfh7 & Y5rfh7);
	assign Y5rfh7 = (E6rfh7 | K6rfh7);
	assign W3rfh7 = (Q6rfh7 & W6rfh7);
	assign Q6rfh7 = (Ovqfh7 & Eiqfh7);
	assign Eiqfh7 = (~(C7rfh7 & I7rfh7));
	assign E0rfh7 = (~(O7rfh7 | Eoqfh7));
	assign Eoqfh7 = (!U7rfh7);
	assign Szqfh7 = (A8rfh7 & G8rfh7);
	assign A8rfh7 = (M8rfh7 & S8rfh7);
	assign HRDATA[31] = (~(Y8rfh7 & E9rfh7));
	assign E9rfh7 = (K9rfh7 & Q9rfh7);
	assign Q9rfh7 = (Qrqfh7 & W9rfh7);
	assign K9rfh7 = (W6rfh7 & Carfh7);
	assign Y8rfh7 = (Iarfh7 & Oarfh7);
	assign Iarfh7 = (Uarfh7 & Abrfh7);
	assign HRDATA[30] = (~(Gbrfh7 & Mbrfh7));
	assign Mbrfh7 = (Sbrfh7 & Ybrfh7);
	assign Ybrfh7 = (Ecrfh7 & Kcrfh7);
	assign Kcrfh7 = (Ovpfh7 & Qcrfh7);
	assign Ecrfh7 = (S2qfh7 & Wcrfh7);
	assign Sbrfh7 = (Cdrfh7 & Idrfh7);
	assign Cdrfh7 = (Odrfh7 & Skqfh7);
	assign Gbrfh7 = (Udrfh7 & Aerfh7);
	assign Aerfh7 = (Gerfh7 & Merfh7);
	assign Merfh7 = (Serfh7 & Yerfh7);
	assign Gerfh7 = (Efrfh7 & Kfrfh7);
	assign Udrfh7 = (Qfrfh7 & Wfrfh7);
	assign Qfrfh7 = (Cgrfh7 & Igrfh7);
	assign HRDATA[2] = (~(Ogrfh7 & Ugrfh7));
	assign Ugrfh7 = (Ahrfh7 & Ghrfh7);
	assign Ghrfh7 = (E3rfh7 & A5rfh7);
	assign E3rfh7 = (Mhrfh7 & Shrfh7);
	assign Ahrfh7 = (Yhrfh7 & Azqfh7);
	assign Yhrfh7 = (~(Klqfh7 | Eirfh7));
	assign Ogrfh7 = (Kirfh7 & Qirfh7);
	assign Qirfh7 = (Wirfh7 & I4qfh7);
	assign I4qfh7 = (Cjrfh7 & Ijrfh7);
	assign Ijrfh7 = (Ojrfh7 & Ujrfh7);
	assign Ojrfh7 = (Mbqfh7 & Swpfh7);
	assign Swpfh7 = (~(Akrfh7 & Gkrfh7));
	assign Cjrfh7 = (Mkrfh7 & Skrfh7);
	assign Wirfh7 = (Ykrfh7 & Elrfh7);
	assign Elrfh7 = (~(Klrfh7 & Akrfh7));
	assign Kirfh7 = (Qlrfh7 & Wlrfh7);
	assign Qlrfh7 = (Cmrfh7 & Imrfh7);
	assign HRDATA[29] = (~(Omrfh7 & Umrfh7));
	assign Umrfh7 = (Anrfh7 & Gnrfh7);
	assign Gnrfh7 = (Mnrfh7 & Snrfh7);
	assign Snrfh7 = (Ynrfh7 & O1qfh7);
	assign Mnrfh7 = (Eorfh7 & Korfh7);
	assign Anrfh7 = (Qorfh7 & Uvqfh7);
	assign Qorfh7 = (Worfh7 & Cprfh7);
	assign Cprfh7 = (~(Iprfh7 & Akrfh7));
	assign Worfh7 = (Oprfh7 | Uprfh7);
	assign Omrfh7 = (Aqrfh7 & Gqrfh7);
	assign Gqrfh7 = (Mqrfh7 & Sqrfh7);
	assign Mqrfh7 = (Mwqfh7 & U7rfh7);
	assign U7rfh7 = (C4qfh7 & Yqrfh7);
	assign Yqrfh7 = (~(Iprfh7 & Errfh7));
	assign C4qfh7 = (Krrfh7 & Qrrfh7);
	assign Qrrfh7 = (~(Errfh7 & Wrrfh7));
	assign Wrrfh7 = (Csrfh7 | Isrfh7);
	assign Krrfh7 = (~(Iypfh7 | Cvpfh7));
	assign Cvpfh7 = (Osrfh7 & C7rfh7);
	assign Iypfh7 = (Errfh7 & Klrfh7);
	assign Mwqfh7 = (Usrfh7 & Atrfh7);
	assign Usrfh7 = (~(Elqfh7 | Gtrfh7));
	assign Aqrfh7 = (Mtrfh7 & Strfh7);
	assign Mtrfh7 = (Ytrfh7 & Cmrfh7);
	assign Cmrfh7 = (Eurfh7 & Kurfh7);
	assign Kurfh7 = (Qurfh7 & Skqfh7);
	assign Qurfh7 = (Q3rfh7 & Q9qfh7);
	assign Eurfh7 = (Wurfh7 & Wcqfh7);
	assign Wurfh7 = (Cvrfh7 & Ivrfh7);
	assign Ivrfh7 = (Ovrfh7 | K6rfh7);
	assign Cvrfh7 = (Uvrfh7 | Awrfh7);
	assign HRDATA[28] = (~(Gwrfh7 & Mwrfh7));
	assign Mwrfh7 = (Swrfh7 & Ywrfh7);
	assign Ywrfh7 = (Exrfh7 & Kxrfh7);
	assign Exrfh7 = (Ijqfh7 & Qxrfh7);
	assign Swrfh7 = (Wxrfh7 & Cyrfh7);
	assign Gwrfh7 = (Iyrfh7 & Oyrfh7);
	assign Oyrfh7 = (~(Uypfh7 | Uyrfh7));
	assign Uypfh7 = (~(Azrfh7 & Gzrfh7));
	assign Gzrfh7 = (Qrqfh7 & Mzrfh7);
	assign Azrfh7 = (Szrfh7 & Efrfh7);
	assign Iyrfh7 = (Uarfh7 & S8rfh7);
	assign Uarfh7 = (Yzrfh7 & E0sfh7);
	assign E0sfh7 = (K0sfh7 & Q0sfh7);
	assign Q0sfh7 = (W0sfh7 & Q9qfh7);
	assign W0sfh7 = (Ovpfh7 & Ynrfh7);
	assign K0sfh7 = (C1sfh7 & S2qfh7);
	assign C1sfh7 = (A5rfh7 & S2rfh7);
	assign Yzrfh7 = (I1sfh7 & O1sfh7);
	assign O1sfh7 = (U1sfh7 & Igrfh7);
	assign HRDATA[27] = (~(A2sfh7 & G2sfh7));
	assign G2sfh7 = (M2sfh7 & S2sfh7);
	assign S2sfh7 = (Y2sfh7 & E3sfh7);
	assign E3sfh7 = (K3sfh7 & Q3sfh7);
	assign Y2sfh7 = (Ivpfh7 & W3sfh7);
	assign M2sfh7 = (C4sfh7 & Cyrfh7);
	assign C4sfh7 = (Azqfh7 & Erqfh7);
	assign A2sfh7 = (I4sfh7 & O4sfh7);
	assign O4sfh7 = (U4sfh7 & A5sfh7);
	assign U4sfh7 = (G5sfh7 & Ykrfh7);
	assign I4sfh7 = (M5sfh7 & S5sfh7);
	assign M5sfh7 = (Y5sfh7 & E6sfh7);
	assign HRDATA[26] = (~(K6sfh7 & Q6sfh7));
	assign Q6sfh7 = (W6sfh7 & C7sfh7);
	assign C7sfh7 = (I7sfh7 & Wcrfh7);
	assign I7sfh7 = (O7sfh7 & U7sfh7);
	assign W6sfh7 = (~(Oypfh7 | A8sfh7));
	assign Oypfh7 = (~(G8sfh7 & M8sfh7));
	assign M8sfh7 = (Yhqfh7 & S8sfh7);
	assign G8sfh7 = (I1qfh7 & Y8sfh7);
	assign K6sfh7 = (E9sfh7 & K9sfh7);
	assign K9sfh7 = (Q9sfh7 & W9sfh7);
	assign Q9sfh7 = (E6sfh7 & Osqfh7);
	assign Osqfh7 = (Casfh7 & Iasfh7);
	assign Casfh7 = (Oyqfh7 & M2rfh7);
	assign E6sfh7 = (Oasfh7 & Uasfh7);
	assign Uasfh7 = (Absfh7 & Wiqfh7);
	assign Oasfh7 = (Gbsfh7 & Mbsfh7);
	assign E9sfh7 = (Sbsfh7 & Ybsfh7);
	assign HRDATA[25] = (~(Ecsfh7 & Kcsfh7));
	assign Kcsfh7 = (Qcsfh7 & Wcsfh7);
	assign Wcsfh7 = (Cdsfh7 & Idsfh7);
	assign Cdsfh7 = (Korfh7 & Odsfh7);
	assign Qcsfh7 = (Udsfh7 & Carfh7);
	assign Ecsfh7 = (Aesfh7 & Gesfh7);
	assign Gesfh7 = (Mesfh7 & W9sfh7);
	assign W9sfh7 = (Sesfh7 & Yesfh7);
	assign Sesfh7 = (~(Efsfh7 | Kfsfh7));
	assign Mesfh7 = (Gwqfh7 & Mnqfh7);
	assign Gwqfh7 = (Qfsfh7 & Wfsfh7);
	assign Wfsfh7 = (Cgsfh7 & Igsfh7);
	assign Igsfh7 = (Ogsfh7 & Yhqfh7);
	assign Cgsfh7 = (Ugsfh7 & Wcrfh7);
	assign Qfsfh7 = (Ahsfh7 & Ghsfh7);
	assign Ahsfh7 = (Mhsfh7 & Shsfh7);
	assign Aesfh7 = (Yhsfh7 & Eisfh7);
	assign HRDATA[24] = (~(Kisfh7 & Qisfh7));
	assign Qisfh7 = (Wisfh7 & Cjsfh7);
	assign Cjsfh7 = (Ijsfh7 & U7sfh7);
	assign Ijsfh7 = (Ogsfh7 & Ojsfh7);
	assign Wisfh7 = (Ujsfh7 & Aksfh7);
	assign Ujsfh7 = (Q0rfh7 & Kxrfh7);
	assign Kisfh7 = (Gksfh7 & Mksfh7);
	assign Mksfh7 = (Sksfh7 & Ipqfh7);
	assign Ipqfh7 = (Yksfh7 & Elsfh7);
	assign Elsfh7 = (Klsfh7 & Y8sfh7);
	assign Klsfh7 = (A5rfh7 & Mbqfh7);
	assign Mbqfh7 = (Qlsfh7 | K6rfh7);
	assign Yksfh7 = (Wlsfh7 & W3qfh7);
	assign W3qfh7 = (Cmsfh7 & Ywpfh7);
	assign Cmsfh7 = (~(Akrfh7 & Imsfh7));
	assign Imsfh7 = (Isrfh7 | Omsfh7);
	assign Wlsfh7 = (Odrfh7 & Iasfh7);
	assign Sksfh7 = (Mkrfh7 & Umsfh7);
	assign Mkrfh7 = (Ansfh7 | K6rfh7);
	assign Gksfh7 = (Gnsfh7 & Mnsfh7);
	assign Gnsfh7 = (Snsfh7 & Ynsfh7);
	assign HRDATA[23] = (~(Eosfh7 & Kosfh7));
	assign Kosfh7 = (Qosfh7 & Wosfh7);
	assign Wosfh7 = (Cpsfh7 & Ipsfh7);
	assign Cpsfh7 = (Ojqfh7 & S2rfh7);
	assign Qosfh7 = (Opsfh7 & Upsfh7);
	assign Opsfh7 = (Aqsfh7 & Quqfh7);
	assign Eosfh7 = (Gqsfh7 & Mqsfh7);
	assign Mqsfh7 = (Sqsfh7 & Yqsfh7);
	assign Yqsfh7 = (Ersfh7 & Odrfh7);
	assign Sqsfh7 = (Qcqfh7 & Wxrfh7);
	assign Gqsfh7 = (Krsfh7 & Qrsfh7);
	assign Krsfh7 = (Yesfh7 & Atrfh7);
	assign Yesfh7 = (Wrsfh7 & Cssfh7);
	assign Cssfh7 = (Issfh7 & Ossfh7);
	assign Ossfh7 = (Ybqfh7 & Cyqfh7);
	assign Issfh7 = (Ussfh7 & Sbqfh7);
	assign Wrsfh7 = (Atsfh7 & Gtsfh7);
	assign Gtsfh7 = (~(Mtsfh7 | Stsfh7));
	assign Mtsfh7 = (!Ytsfh7);
	assign Atsfh7 = (Eusfh7 & Oarfh7);
	assign HRDATA[22] = (~(Kusfh7 & Qusfh7));
	assign Qusfh7 = (Wusfh7 & Cvsfh7);
	assign Cvsfh7 = (Ivsfh7 & Cyrfh7);
	assign Ivsfh7 = (Q3rfh7 & S2rfh7);
	assign Wusfh7 = (Meqfh7 & Ersfh7);
	assign Meqfh7 = (Ovsfh7 & Qcqfh7);
	assign Qcqfh7 = (~(Uvsfh7 | Awsfh7));
	assign Uvsfh7 = (~(U7sfh7 & Qrqfh7));
	assign Ovsfh7 = (Ybqfh7 & M2rfh7);
	assign Kusfh7 = (Gwsfh7 & Mwsfh7);
	assign Mwsfh7 = (Swsfh7 & Yhsfh7);
	assign Yhsfh7 = (Ywsfh7 & Exsfh7);
	assign Exsfh7 = (Ywpfh7 & Mzrfh7);
	assign Ywsfh7 = (Kxsfh7 & Ybsfh7);
	assign Swsfh7 = (~(Qxsfh7 | O7rfh7));
	assign O7rfh7 = (~(Wxsfh7 & Cysfh7));
	assign Cysfh7 = (Iysfh7 & Quqfh7);
	assign Iysfh7 = (U1qfh7 & S8sfh7);
	assign Wxsfh7 = (Atrfh7 & Kuqfh7);
	assign Gwsfh7 = (Oysfh7 & Uysfh7);
	assign HRDATA[21] = (~(Azsfh7 & Gzsfh7));
	assign Gzsfh7 = (Mzsfh7 & Szsfh7);
	assign Szsfh7 = (Yzsfh7 & U1qfh7);
	assign Yzsfh7 = (Q3sfh7 & M2rfh7);
	assign Mzsfh7 = (E0tfh7 & Carfh7);
	assign Azsfh7 = (K0tfh7 & Q0tfh7);
	assign Q0tfh7 = (Wfrfh7 & W0tfh7);
	assign Wfrfh7 = (C1tfh7 & I1tfh7);
	assign I1tfh7 = (O1tfh7 & U1tfh7);
	assign U1tfh7 = (Ytqfh7 & Odsfh7);
	assign O1tfh7 = (Azqfh7 & Mbsfh7);
	assign C1tfh7 = (A2tfh7 & Eusfh7);
	assign A2tfh7 = (Oarfh7 & G2tfh7);
	assign K0tfh7 = (Qrsfh7 & Kxsfh7);
	assign HRDATA[20] = (~(M2tfh7 & S2tfh7));
	assign S2tfh7 = (Y2tfh7 & E3tfh7);
	assign E3tfh7 = (K3tfh7 & K6qfh7);
	assign K3tfh7 = (Quqfh7 & Yhqfh7);
	assign Y2tfh7 = (Q3tfh7 & W3tfh7);
	assign Q3tfh7 = (C4tfh7 & Azqfh7);
	assign M2tfh7 = (I4tfh7 & O4tfh7);
	assign O4tfh7 = (U4tfh7 & Kxsfh7);
	assign Kxsfh7 = (A5tfh7 & Wxrfh7);
	assign A5tfh7 = (Ujrfh7 & Qxrfh7);
	assign U4tfh7 = (Ybsfh7 & Efrfh7);
	assign Ybsfh7 = (G5tfh7 & M5tfh7);
	assign M5tfh7 = (Aqsfh7 & Geqfh7);
	assign G5tfh7 = (S5tfh7 & Y5tfh7);
	assign I4tfh7 = (E6tfh7 & K6tfh7);
	assign E6tfh7 = (Q6tfh7 & Snsfh7);
	assign Snsfh7 = (W6tfh7 & C7tfh7);
	assign C7tfh7 = (I7tfh7 & O7tfh7);
	assign O7tfh7 = (Absfh7 & Ojqfh7);
	assign Ojqfh7 = (!U7tfh7);
	assign Absfh7 = (Krqfh7 & Caqfh7);
	assign I7tfh7 = (A8tfh7 & Kuqfh7);
	assign W6tfh7 = (G8tfh7 & M8tfh7);
	assign M8tfh7 = (~(S8tfh7 | Y8tfh7));
	assign Y8tfh7 = (!Atrfh7);
	assign G8tfh7 = (Qrsfh7 & Oarfh7);
	assign HRDATA[1] = (~(E9tfh7 & K9tfh7));
	assign K9tfh7 = (Q9tfh7 & W9tfh7);
	assign W9tfh7 = (Catfh7 & Iatfh7);
	assign Iatfh7 = (Sbqfh7 & Qxrfh7);
	assign Catfh7 = (Ytqfh7 & Shqfh7);
	assign Q9tfh7 = (Oatfh7 & Uatfh7);
	assign Uatfh7 = (Abtfh7 & O7sfh7);
	assign Oatfh7 = (Udsfh7 & Yerfh7);
	assign E9tfh7 = (Gbtfh7 & Mbtfh7);
	assign Mbtfh7 = (Sbtfh7 & Ybtfh7);
	assign Ybtfh7 = (Ectfh7 & W3tfh7);
	assign Ectfh7 = (~(Osrfh7 & Klrfh7));
	assign Sbtfh7 = (Ecqfh7 & Kctfh7);
	assign Kctfh7 = (Qctfh7 | Uprfh7);
	assign Gbtfh7 = (Wctfh7 & Cdtfh7);
	assign Cdtfh7 = (G8rfh7 & M2qfh7);
	assign M2qfh7 = (Idtfh7 & Odtfh7);
	assign Idtfh7 = (Udtfh7 & Yhqfh7);
	assign G8rfh7 = (Aetfh7 & Getfh7);
	assign Getfh7 = (Metfh7 & Setfh7);
	assign Setfh7 = (Cjqfh7 & Mzrfh7);
	assign Metfh7 = (Ugsfh7 & Seqfh7);
	assign Aetfh7 = (Yetfh7 & Eftfh7);
	assign Eftfh7 = (Kftfh7 & Qftfh7);
	assign Kftfh7 = (Wftfh7 | Uprfh7);
	assign Yetfh7 = (~(Cgtfh7 | Wfqfh7));
	assign Wfqfh7 = (!Mhsfh7);
	assign Wctfh7 = (Ynsfh7 & Wlrfh7);
	assign Wlrfh7 = (Igtfh7 & Ogtfh7);
	assign Ogtfh7 = (Ugtfh7 & Ahtfh7);
	assign Ahtfh7 = (Ghtfh7 & Mhtfh7);
	assign Mhtfh7 = (Gnqfh7 & Q6qfh7);
	assign Ghtfh7 = (S8sfh7 & Caqfh7);
	assign Ugtfh7 = (Shtfh7 & Yhtfh7);
	assign Yhtfh7 = (Oyqfh7 & U1qfh7);
	assign Shtfh7 = (~(Eitfh7 | Kitfh7));
	assign Igtfh7 = (Qitfh7 & Witfh7);
	assign Witfh7 = (Cjtfh7 & Ijtfh7);
	assign Ijtfh7 = (Ojtfh7 & Ussfh7);
	assign Ojtfh7 = (~(Ujtfh7 & Osrfh7));
	assign Cjtfh7 = (Awqfh7 & Ovqfh7);
	assign Qitfh7 = (Aktfh7 & Sqrfh7);
	assign Sqrfh7 = (!Qxsfh7);
	assign Aktfh7 = (Gktfh7 & Cpqfh7);
	assign Cpqfh7 = (Mktfh7 & Sktfh7);
	assign Sktfh7 = (Yktfh7 & K3rfh7);
	assign Mktfh7 = (Ghsfh7 & Eltfh7);
	assign Ynsfh7 = (Kltfh7 & Kfqfh7);
	assign Kfqfh7 = (Qltfh7 & Shsfh7);
	assign Kltfh7 = (W6qfh7 & Qrqfh7);
	assign HRDATA[19] = (~(Wltfh7 & Cmtfh7));
	assign Cmtfh7 = (Imtfh7 & Omtfh7);
	assign Omtfh7 = (Umtfh7 & Antfh7);
	assign Antfh7 = (Gntfh7 & Ivpfh7);
	assign Gntfh7 = (W3sfh7 & O1qfh7);
	assign Umtfh7 = (Q9qfh7 & Geqfh7);
	assign Imtfh7 = (Mntfh7 & Sntfh7);
	assign Sntfh7 = (Yhqfh7 & S2rfh7);
	assign Mntfh7 = (Yntfh7 & Qrqfh7);
	assign Wltfh7 = (Eotfh7 & Kotfh7);
	assign Kotfh7 = (Qotfh7 & Wotfh7);
	assign Wotfh7 = (C7qfh7 & Iyqfh7);
	assign Eotfh7 = (Cptfh7 & Iptfh7);
	assign Iptfh7 = (Optfh7 & Ytsfh7);
	assign Cptfh7 = (Uptfh7 & Aqtfh7);
	assign HRDATA[18] = (~(Gqtfh7 & Mqtfh7));
	assign Mqtfh7 = (Sqtfh7 & Yqtfh7);
	assign Yqtfh7 = (Ertfh7 & Ywpfh7);
	assign Ertfh7 = (K3sfh7 & Krtfh7);
	assign Sqtfh7 = (Qrtfh7 & Wrtfh7);
	assign Qrtfh7 = (Cstfh7 & Wcrfh7);
	assign Gqtfh7 = (Istfh7 & Ostfh7);
	assign Ostfh7 = (Ustfh7 & Qrsfh7);
	assign Ustfh7 = (Imrfh7 & S8rfh7);
	assign S8rfh7 = (Attfh7 & Gttfh7);
	assign Gttfh7 = (Korfh7 & Q3sfh7);
	assign Attfh7 = (Skqfh7 & Mttfh7);
	assign Imrfh7 = (Sttfh7 & Yttfh7);
	assign Yttfh7 = (Idsfh7 & Geqfh7);
	assign Sttfh7 = (Umsfh7 & Eutfh7);
	assign Umsfh7 = (!Kutfh7);
	assign Istfh7 = (Qutfh7 & Wutfh7);
	assign Qutfh7 = (K6tfh7 & Uysfh7);
	assign Uysfh7 = (Cvtfh7 & Oarfh7);
	assign Cvtfh7 = (W6rfh7 & Y8sfh7);
	assign K6tfh7 = (Ivtfh7 & Ovtfh7);
	assign Ovtfh7 = (Uvtfh7 & Awtfh7);
	assign Awtfh7 = (Cyqfh7 & Mzrfh7);
	assign Uvtfh7 = (S8sfh7 & S2rfh7);
	assign Ivtfh7 = (Gwtfh7 & Mwtfh7);
	assign Mwtfh7 = (C7qfh7 & Qrqfh7);
	assign Gwtfh7 = (Swtfh7 & Ussfh7);
	assign HRDATA[17] = (~(Ywtfh7 & Extfh7));
	assign Extfh7 = (Kxtfh7 & Qxtfh7);
	assign Qxtfh7 = (Udtfh7 & Skrfh7);
	assign Kxtfh7 = (Wxtfh7 & Eltfh7);
	assign Eltfh7 = (~(Errfh7 & Cytfh7));
	assign Wxtfh7 = (Qlsfh7 | Iytfh7);
	assign Ywtfh7 = (Oytfh7 & Uytfh7);
	assign Uytfh7 = (Y5sfh7 & M8rfh7);
	assign M8rfh7 = (Aztfh7 & Gztfh7);
	assign Gztfh7 = (Mztfh7 & Sztfh7);
	assign Sztfh7 = (Yztfh7 & Gwpfh7);
	assign Mztfh7 = (Ussfh7 & Ykqfh7);
	assign Aztfh7 = (E0ufh7 & Y5tfh7);
	assign Y5tfh7 = (K0ufh7 & Q0ufh7);
	assign Q0ufh7 = (W0ufh7 & C1ufh7);
	assign W0ufh7 = (I1ufh7 & O1ufh7);
	assign K0ufh7 = (Upsfh7 & W6qfh7);
	assign E0ufh7 = (U1ufh7 & A2ufh7);
	assign A2ufh7 = (~(Iprfh7 & G2ufh7));
	assign Y5sfh7 = (M2ufh7 & S2ufh7);
	assign S2ufh7 = (Y2ufh7 & Ujrfh7);
	assign Y2ufh7 = (Idsfh7 & Qxrfh7);
	assign M2ufh7 = (Optfh7 & E3ufh7);
	assign Optfh7 = (K3ufh7 & Q3ufh7);
	assign Q3ufh7 = (W3ufh7 & C4ufh7);
	assign C4ufh7 = (I4ufh7 & O4ufh7);
	assign I4ufh7 = (Y2qfh7 & Korfh7);
	assign W3ufh7 = (W3tfh7 & Wxrfh7);
	assign K3ufh7 = (U4ufh7 & A5ufh7);
	assign A5ufh7 = (Efrfh7 & W6rfh7);
	assign U4ufh7 = (G5ufh7 & Swtfh7);
	assign Oytfh7 = (M5ufh7 & Aqtfh7);
	assign Aqtfh7 = (S5ufh7 & Y5ufh7);
	assign Y5ufh7 = (Sbqfh7 & Gnqfh7);
	assign S5ufh7 = (Oarfh7 & Carfh7);
	assign HRDATA[16] = (~(E6ufh7 & K6ufh7));
	assign K6ufh7 = (Q6ufh7 & W6ufh7);
	assign W6ufh7 = (C7ufh7 & I7ufh7);
	assign I7ufh7 = (O7ufh7 & K3rfh7);
	assign O7ufh7 = (Krtfh7 & Qcrfh7);
	assign C7ufh7 = (Yntfh7 & A5rfh7);
	assign Q6ufh7 = (U7ufh7 & A8ufh7);
	assign A8ufh7 = (G8ufh7 & Ijqfh7);
	assign G8ufh7 = (Mzqfh7 & Oyqfh7);
	assign U7ufh7 = (M8ufh7 & Udtfh7);
	assign E6ufh7 = (S8ufh7 & Y8ufh7);
	assign Y8ufh7 = (E9ufh7 & K9ufh7);
	assign K9ufh7 = (Q9ufh7 & W6rfh7);
	assign Q9ufh7 = (W9ufh7 & Wxrfh7);
	assign W9ufh7 = (~(I7rfh7 & Caufh7));
	assign Caufh7 = (~(E6rfh7 & Iaufh7));
	assign E9ufh7 = (Mzpfh7 & Szrfh7);
	assign S8ufh7 = (Oaufh7 & Uaufh7);
	assign Uaufh7 = (Abufh7 & A5qfh7);
	assign Oaufh7 = (Oysfh7 & G5sfh7);
	assign G5sfh7 = (Gbufh7 & Mbufh7);
	assign Gbufh7 = (Kfrfh7 & C1ufh7);
	assign HRDATA[15] = (~(Sbufh7 & Ybufh7));
	assign Ybufh7 = (Ecufh7 & Kcufh7);
	assign Kcufh7 = (Qcufh7 & Wcufh7);
	assign Qcufh7 = (Shqfh7 & G2rfh7);
	assign Sbufh7 = (Cdufh7 & Idufh7);
	assign Idufh7 = (Odufh7 & G5qfh7);
	assign G5qfh7 = (Udufh7 & Aeufh7);
	assign Aeufh7 = (U1sfh7 & Geufh7);
	assign Geufh7 = (Meufh7 & W9rfh7);
	assign U1sfh7 = (Iasfh7 & Quqfh7);
	assign Udufh7 = (Seufh7 & Yeufh7);
	assign Yeufh7 = (Efufh7 & Efrfh7);
	assign Seufh7 = (Wcqfh7 & Kfufh7);
	assign Odufh7 = (M8ufh7 & Ussfh7);
	assign Cdufh7 = (Qfufh7 & Abrfh7);
	assign Abrfh7 = (Wfufh7 & Azqfh7);
	assign Wfufh7 = (Kuqfh7 & U7sfh7);
	assign HRDATA[14] = (~(Cgufh7 & Igufh7));
	assign Igufh7 = (Ogufh7 & Ugufh7);
	assign Ugufh7 = (Ahufh7 & Ghufh7);
	assign Ghufh7 = (Q9qfh7 & Mwpfh7);
	assign Ahufh7 = (Ujrfh7 & Carfh7);
	assign Ogufh7 = (Mhufh7 & Ovqfh7);
	assign Mhufh7 = (Shufh7 & Wxrfh7);
	assign Cgufh7 = (Yhufh7 & Eiufh7);
	assign Eiufh7 = (Kiufh7 & Cgrfh7);
	assign Cgrfh7 = (Qiufh7 & Wiufh7);
	assign Wiufh7 = (Cjufh7 & Ijufh7);
	assign Ijufh7 = (Ojufh7 & Ujufh7);
	assign Ujufh7 = (Akufh7 & Gkufh7);
	assign Gkufh7 = (Q6qfh7 & Mzrfh7);
	assign Akufh7 = (Geqfh7 & O1ufh7);
	assign Ojufh7 = (Mkufh7 & Cyqfh7);
	assign Mkufh7 = (I1ufh7 & Ywpfh7);
	assign Cjufh7 = (Skufh7 & Ykufh7);
	assign Ykufh7 = (Elufh7 & Yhqfh7);
	assign Elufh7 = (A5rfh7 & Ybqfh7);
	assign A5rfh7 = (Oprfh7 | G5rfh7);
	assign Skufh7 = (Klufh7 & U7sfh7);
	assign Klufh7 = (Y2qfh7 & Idsfh7);
	assign Qiufh7 = (Qlufh7 & Wlufh7);
	assign Wlufh7 = (Cmufh7 & Imufh7);
	assign Imufh7 = (Omufh7 & Umufh7);
	assign Omufh7 = (Seqfh7 & Iasfh7);
	assign Iasfh7 = (~(I7rfh7 & Anufh7));
	assign Anufh7 = (Gnufh7 | Isrfh7);
	assign Seqfh7 = (!Mnufh7);
	assign Cmufh7 = (Snufh7 & M8ufh7);
	assign Snufh7 = (Eutfh7 & E3ufh7);
	assign Qlufh7 = (Ynufh7 & Eoufh7);
	assign Eoufh7 = (Koufh7 & U1ufh7);
	assign Koufh7 = (Qoufh7 & O4ufh7);
	assign O4ufh7 = (!Woufh7);
	assign Ynufh7 = (Cpufh7 & W0tfh7);
	assign W0tfh7 = (Ipufh7 & Opufh7);
	assign Opufh7 = (Upufh7 & Aqufh7);
	assign Aqufh7 = (Gqufh7 & Mqufh7);
	assign Mqufh7 = (W3sfh7 & W9rfh7);
	assign Gqufh7 = (O7sfh7 & S8sfh7);
	assign Upufh7 = (Squfh7 & Kuqfh7);
	assign Squfh7 = (Eorfh7 & Yqufh7);
	assign Ipufh7 = (Erufh7 & Krufh7);
	assign Krufh7 = (A5sfh7 & Qrufh7);
	assign Qrufh7 = (Wrufh7 & Ussfh7);
	assign A5sfh7 = (Cstfh7 & C4tfh7);
	assign Erufh7 = (Csufh7 & Abufh7);
	assign Abufh7 = (Isufh7 & G5ufh7);
	assign G5ufh7 = (Osufh7 & Ersfh7);
	assign Osufh7 = (K6qfh7 & Quqfh7);
	assign Quqfh7 = (Usufh7 | Iytfh7);
	assign Isufh7 = (Sbqfh7 & K3sfh7);
	assign Csufh7 = (S5tfh7 & Mnqfh7);
	assign S5tfh7 = (Atufh7 & Gtufh7);
	assign Gtufh7 = (Mtufh7 & Stufh7);
	assign Stufh7 = (Ojsfh7 & Krtfh7);
	assign Mtufh7 = (Mhrfh7 & Yztfh7);
	assign Atufh7 = (Ytufh7 & Aksfh7);
	assign Aksfh7 = (!Euufh7);
	assign Ytufh7 = (Qftfh7 & Q0rfh7);
	assign Cpufh7 = (Mbufh7 & Gktfh7);
	assign Gktfh7 = (!Kuufh7);
	assign Mbufh7 = (Quufh7 & Wuufh7);
	assign Wuufh7 = (Cvufh7 & C7qfh7);
	assign Cvufh7 = (Y8sfh7 & Q3rfh7);
	assign Quufh7 = (~(Ivufh7 | Ovufh7));
	assign Kiufh7 = (Uvufh7 & Szrfh7);
	assign Yhufh7 = (Awufh7 & Gwufh7);
	assign Awufh7 = (Wutfh7 & Sbsfh7);
	assign Sbsfh7 = (Mwufh7 & Swufh7);
	assign Swufh7 = (Ywufh7 & W3tfh7);
	assign Ywufh7 = (Cyrfh7 & Ynrfh7);
	assign Mwufh7 = (Exufh7 & Ghsfh7);
	assign Ghsfh7 = (W6rfh7 & Iaqfh7);
	assign Exufh7 = (Awqfh7 & Kfufh7);
	assign Awqfh7 = (Korfh7 & G2rfh7);
	assign Wutfh7 = (Kxufh7 & Qxufh7);
	assign Qxufh7 = (U1qfh7 & K3rfh7);
	assign Kxufh7 = (Wxufh7 & Cyufh7);
	assign HRDATA[13] = (~(Iyufh7 & Oyufh7));
	assign Oyufh7 = (Uyufh7 & Azufh7);
	assign Azufh7 = (Gzufh7 & Mzufh7);
	assign Mzufh7 = (S2qfh7 & Yntfh7);
	assign Gzufh7 = (K6qfh7 & Ujrfh7);
	assign Uyufh7 = (Szufh7 & Yzufh7);
	assign Yzufh7 = (Upsfh7 & C7qfh7);
	assign Szufh7 = (Q0rfh7 & Azqfh7);
	assign Azqfh7 = (~(E0vfh7 & K0vfh7));
	assign Q0rfh7 = (~(G2ufh7 & Q0vfh7));
	assign Q0vfh7 = (W0vfh7 | C1vfh7);
	assign Iyufh7 = (I1vfh7 & O1vfh7);
	assign O1vfh7 = (U1vfh7 & A2vfh7);
	assign A2vfh7 = (Cyrfh7 & Qftfh7);
	assign Cyrfh7 = (!G2vfh7);
	assign U1vfh7 = (Ovqfh7 & Qoufh7);
	assign Qoufh7 = (M2vfh7 | S2vfh7);
	assign Ovqfh7 = (Wcufh7 & Meufh7);
	assign I1vfh7 = (Y2vfh7 & E3vfh7);
	assign E3vfh7 = (Oysfh7 & Strfh7);
	assign Strfh7 = (K3vfh7 & Q3vfh7);
	assign Q3vfh7 = (W3vfh7 & C4vfh7);
	assign C4vfh7 = (I4vfh7 & O4vfh7);
	assign O4vfh7 = (I1qfh7 & S8sfh7);
	assign I1qfh7 = (~(Omsfh7 & I7rfh7));
	assign I4vfh7 = (U4vfh7 & U1qfh7);
	assign W3vfh7 = (Qotfh7 & A5vfh7);
	assign A5vfh7 = (Wiqfh7 & C1ufh7);
	assign Qotfh7 = (Serfh7 & Odrfh7);
	assign Odrfh7 = (~(Cytfh7 & I7rfh7));
	assign Serfh7 = (~(G5vfh7 & M5vfh7));
	assign K3vfh7 = (S5vfh7 & Y5vfh7);
	assign Y5vfh7 = (E6vfh7 & K6vfh7);
	assign K6vfh7 = (Eutfh7 & Kfrfh7);
	assign Kfrfh7 = (~(Q6vfh7 & I7rfh7));
	assign E6vfh7 = (A5qfh7 & Efrfh7);
	assign Efrfh7 = (~(W6vfh7 | C7vfh7));
	assign W6vfh7 = (~(Yktfh7 & Cjqfh7));
	assign Cjqfh7 = (I7vfh7 | O7vfh7);
	assign Yktfh7 = (U7vfh7 | O7vfh7);
	assign A5qfh7 = (Idrfh7 & Uvufh7);
	assign Idrfh7 = (~(A8vfh7 | U7tfh7));
	assign U7tfh7 = (G8vfh7 & M8vfh7);
	assign A8vfh7 = (~(S8vfh7 | O7vfh7));
	assign S5vfh7 = (I1sfh7 & Y8vfh7);
	assign I1sfh7 = (~(E9vfh7 | S8tfh7));
	assign S8tfh7 = (~(Gbsfh7 & G2rfh7));
	assign Gbsfh7 = (~(K9vfh7 & M5vfh7));
	assign Oysfh7 = (Q9vfh7 & W9vfh7);
	assign W9vfh7 = (Cavfh7 & Iavfh7);
	assign Iavfh7 = (Aeqfh7 & Ivpfh7);
	assign Cavfh7 = (W3tfh7 & Skqfh7);
	assign W3tfh7 = (!Uyrfh7);
	assign Uyrfh7 = (M5vfh7 & Gkrfh7);
	assign Q9vfh7 = (Oavfh7 & Uavfh7);
	assign Uavfh7 = (Uvqfh7 & Ytsfh7);
	assign Uvqfh7 = (Abvfh7 & Mbsfh7);
	assign Abvfh7 = (Mttfh7 & O7sfh7);
	assign Oavfh7 = (Qrsfh7 & Mnqfh7);
	assign Qrsfh7 = (Gbvfh7 & Kfufh7);
	assign Kfufh7 = (Mbvfh7 & Sbvfh7);
	assign Sbvfh7 = (Ybvfh7 | K6rfh7);
	assign Mbvfh7 = (Ecvfh7 | Uprfh7);
	assign Gbvfh7 = (Kcvfh7 & A2qfh7);
	assign Y2vfh7 = (Qcvfh7 & M5ufh7);
	assign M5ufh7 = (Wcvfh7 & Wrtfh7);
	assign Wcvfh7 = (Aqsfh7 & Odsfh7);
	assign HRDATA[12] = (~(Cdvfh7 & Idvfh7));
	assign Idvfh7 = (Odvfh7 & Udvfh7);
	assign Udvfh7 = (Aevfh7 & Y8sfh7);
	assign Y8sfh7 = (U7vfh7 | S2vfh7);
	assign Aevfh7 = (S8sfh7 & Qcrfh7);
	assign Qcrfh7 = (Gevfh7 | S2vfh7);
	assign Odvfh7 = (Wcqfh7 & Aeqfh7);
	assign Wcqfh7 = (Mevfh7 & Sevfh7);
	assign Sevfh7 = (Yevfh7 & Wxufh7);
	assign Yevfh7 = (Carfh7 & Cyufh7);
	assign Mevfh7 = (Umufh7 & U1ufh7);
	assign U1ufh7 = (Efvfh7 & Kfvfh7);
	assign Kfvfh7 = (Qfvfh7 | O7vfh7);
	assign Efvfh7 = (~(M5vfh7 & Wfvfh7));
	assign Wfvfh7 = (~(Cgvfh7 & Qlsfh7));
	assign Cgvfh7 = (~(W0vfh7 | Igvfh7));
	assign Umufh7 = (Mzqfh7 & Iyqfh7);
	assign Iyqfh7 = (~(Iprfh7 & G8vfh7));
	assign Mzqfh7 = (~(Ogvfh7 & G8vfh7));
	assign Cdvfh7 = (Ugvfh7 & Ahvfh7);
	assign Ahvfh7 = (S5sfh7 & Eusfh7);
	assign S5sfh7 = (Ghvfh7 & Mhvfh7);
	assign Mhvfh7 = (Shvfh7 & Eorfh7);
	assign Shvfh7 = (Ywpfh7 & W9rfh7);
	assign Ywpfh7 = (S8vfh7 | Uprfh7);
	assign Ghvfh7 = (Yhvfh7 & Mhsfh7);
	assign Yhvfh7 = (Udsfh7 & Ugsfh7);
	assign Ugvfh7 = (Qcvfh7 & Qfufh7);
	assign Qfufh7 = (Eivfh7 & Kivfh7);
	assign Kivfh7 = (Wxrfh7 & W6qfh7);
	assign Wxrfh7 = (~(Qivfh7 & K0vfh7));
	assign Eivfh7 = (~(Qxsfh7 | E9vfh7));
	assign E9vfh7 = (~(Wivfh7 & Cjvfh7));
	assign Cjvfh7 = (Ijvfh7 & Ojvfh7);
	assign Ojvfh7 = (Ujvfh7 & Krqfh7);
	assign Ujvfh7 = (Caqfh7 & Q6qfh7);
	assign Ijvfh7 = (Akvfh7 & Yerfh7);
	assign Akvfh7 = (~(Mnufh7 | A8sfh7));
	assign Wivfh7 = (Gkvfh7 & Mkvfh7);
	assign Mkvfh7 = (Skvfh7 & Ersfh7);
	assign Ersfh7 = (I7vfh7 | Iytfh7);
	assign Skvfh7 = (C4tfh7 & E3ufh7);
	assign E3ufh7 = (~(Ykvfh7 & K0vfh7));
	assign C4tfh7 = (~(Ogvfh7 & K0vfh7));
	assign Gkvfh7 = (Elvfh7 & Swtfh7);
	assign Swtfh7 = (Wrufh7 & Oyqfh7);
	assign Wrufh7 = (I7vfh7 | G5rfh7);
	assign G5rfh7 = (!K0vfh7);
	assign Elvfh7 = (Ykrfh7 & Cstfh7);
	assign Cstfh7 = (~(Omsfh7 & Errfh7));
	assign Qxsfh7 = (Ovufh7 | Woufh7);
	assign Woufh7 = (~(E6rfh7 | O7vfh7));
	assign Ovufh7 = (Isrfh7 & M5vfh7);
	assign Qcvfh7 = (Klvfh7 & Qlvfh7);
	assign Qlvfh7 = (Wlvfh7 & Cmvfh7);
	assign Cmvfh7 = (Shqfh7 & Q3sfh7);
	assign Wlvfh7 = (Ogsfh7 & Ytqfh7);
	assign Klvfh7 = (Imvfh7 & Ecufh7);
	assign Ecufh7 = (Erqfh7 & Wcrfh7);
	assign Imvfh7 = (Efufh7 & M8ufh7);
	assign M8ufh7 = (~(Omvfh7 & M5vfh7));
	assign Efufh7 = (Umvfh7 & W6rfh7);
	assign Umvfh7 = (Ijqfh7 & Gzqfh7);
	assign HRDATA[11] = (~(Anvfh7 & Gnvfh7));
	assign Gnvfh7 = (Mnvfh7 & Snvfh7);
	assign Snvfh7 = (Ynvfh7 & Eovfh7);
	assign Eovfh7 = (C1ufh7 & Q3sfh7);
	assign Q3sfh7 = (~(K0vfh7 & W0vfh7));
	assign Ynvfh7 = (Yqufh7 & Wiqfh7);
	assign Mnvfh7 = (Kovfh7 & Kxrfh7);
	assign Kovfh7 = (~(Mnufh7 | Awsfh7));
	assign Awsfh7 = (G5vfh7 & Errfh7);
	assign Mnufh7 = (Qovfh7 & I7rfh7);
	assign Anvfh7 = (Wovfh7 & Cpvfh7);
	assign Cpvfh7 = (Ipvfh7 & Opvfh7);
	assign Opvfh7 = (~(Cypfh7 | Euufh7));
	assign Euufh7 = (Omvfh7 & Errfh7);
	assign Cypfh7 = (~(Upvfh7 & Igrfh7));
	assign Igrfh7 = (Aqvfh7 & Gqvfh7);
	assign Gqvfh7 = (Mqvfh7 & Ogsfh7);
	assign Ogsfh7 = (~(I7rfh7 & Sqvfh7));
	assign Sqvfh7 = (~(Iaufh7 & Qlsfh7));
	assign Mqvfh7 = (Yntfh7 & A2qfh7);
	assign A2qfh7 = (Yqvfh7 | O7vfh7);
	assign Yntfh7 = (Iaufh7 | S2vfh7);
	assign Aqvfh7 = (Wrtfh7 & Kcvfh7);
	assign Kcvfh7 = (~(Omsfh7 & M5vfh7));
	assign Omsfh7 = (!Yqvfh7);
	assign Wrtfh7 = (Ervfh7 & Krvfh7);
	assign Krvfh7 = (~(G8vfh7 & Qrvfh7));
	assign Qrvfh7 = (E0vfh7 | Cytfh7);
	assign E0vfh7 = (!Wrvfh7);
	assign Ervfh7 = (I7vfh7 | S2vfh7);
	assign Upvfh7 = (Idsfh7 & Ytqfh7);
	assign Ipvfh7 = (~(Kuufh7 | Ivufh7));
	assign Ivufh7 = (~(Csvfh7 & Isvfh7));
	assign Isvfh7 = (Odtfh7 & Skrfh7);
	assign Skrfh7 = (Wrvfh7 | Uprfh7);
	assign Odtfh7 = (Qfvfh7 | Uprfh7);
	assign Csvfh7 = (~(Kutfh7 | Elqfh7));
	assign Elqfh7 = (~(Iaufh7 | O7vfh7));
	assign Kutfh7 = (M8vfh7 & G2ufh7);
	assign Wovfh7 = (Osvfh7 & Usvfh7);
	assign Osvfh7 = (Gwufh7 & Uptfh7);
	assign Uptfh7 = (Atvfh7 & Gtvfh7);
	assign Gtvfh7 = (Mtvfh7 & Stvfh7);
	assign Stvfh7 = (Mttfh7 & Gwpfh7);
	assign Gwpfh7 = (I7vfh7 | Uprfh7);
	assign Mtvfh7 = (Erqfh7 & Aeqfh7);
	assign Atvfh7 = (Ytvfh7 & Eutfh7);
	assign Eutfh7 = (Ovrfh7 | Iytfh7);
	assign Ytvfh7 = (Kuqfh7 & S2qfh7);
	assign S2qfh7 = (Usufh7 | O7vfh7);
	assign Kuqfh7 = (~(Iprfh7 & I7rfh7));
	assign Gwufh7 = (Euvfh7 & Kuvfh7);
	assign Kuvfh7 = (Quvfh7 & Wuvfh7);
	assign Wuvfh7 = (Cvvfh7 & Caqfh7);
	assign Cvvfh7 = (M2rfh7 & O1qfh7);
	assign Quvfh7 = (Ivvfh7 & W6qfh7);
	assign W6qfh7 = (~(Klrfh7 & I7rfh7));
	assign Euvfh7 = (Ovvfh7 & Uvvfh7);
	assign Uvvfh7 = (Qltfh7 & Ytsfh7);
	assign Qltfh7 = (Upsfh7 & Aqsfh7);
	assign Aqsfh7 = (~(Igvfh7 & G8vfh7));
	assign Upsfh7 = (~(Awvfh7 & G8vfh7));
	assign Ovvfh7 = (Y8vfh7 & Atrfh7);
	assign Atrfh7 = (~(Eitfh7 | Klqfh7));
	assign Klqfh7 = (Qivfh7 & I7rfh7);
	assign Eitfh7 = (Gwvfh7 & G8vfh7);
	assign Y8vfh7 = (Mwvfh7 & Udsfh7);
	assign Mwvfh7 = (Ugsfh7 & Qxrfh7);
	assign Ugsfh7 = (~(Csrfh7 & M5vfh7));
	assign HRDATA[10] = (~(Swvfh7 & Ywvfh7));
	assign Ywvfh7 = (Exvfh7 & Kxvfh7);
	assign Kxvfh7 = (Qxvfh7 & Ybqfh7);
	assign Ybqfh7 = (Wxvfh7 | Awrfh7);
	assign Qxvfh7 = (Caqfh7 & Q9qfh7);
	assign Caqfh7 = (Gevfh7 | Awrfh7);
	assign Exvfh7 = (Cyvfh7 & Q3rfh7);
	assign Cyvfh7 = (Mhrfh7 & Sbqfh7);
	assign Sbqfh7 = (~(K0vfh7 & M8vfh7));
	assign Swvfh7 = (Iyvfh7 & Oyvfh7);
	assign Oyvfh7 = (Uyvfh7 & Yerfh7);
	assign Uyvfh7 = (Ussfh7 & K3rfh7);
	assign K3rfh7 = (Awrfh7 | Ybvfh7);
	assign Ybvfh7 = (!Azvfh7);
	assign Iyvfh7 = (Gzvfh7 & Ytrfh7);
	assign Ytrfh7 = (Mzvfh7 & Szvfh7);
	assign Szvfh7 = (Mnqfh7 & Iaqfh7);
	assign Iaqfh7 = (~(Ykvfh7 & Errfh7));
	assign Mnqfh7 = (Abtfh7 & Kxrfh7);
	assign Kxrfh7 = (!Kitfh7);
	assign Kitfh7 = (Ykvfh7 & G2ufh7);
	assign Mzvfh7 = (Oarfh7 & Mhsfh7);
	assign Oarfh7 = (Yzvfh7 & E0wfh7);
	assign E0wfh7 = (Meufh7 & Shqfh7);
	assign Meufh7 = (~(G2ufh7 & K0wfh7));
	assign K0wfh7 = (~(Q0wfh7 & Uvrfh7));
	assign Q0wfh7 = (~(Gwvfh7 | Omvfh7));
	assign Yzvfh7 = (Szrfh7 & Ijqfh7);
	assign Ijqfh7 = (Wftfh7 | Awrfh7);
	assign Szrfh7 = (Cmqfh7 & Sqqfh7);
	assign Cmqfh7 = (M2vfh7 | Awrfh7);
	assign Gzvfh7 = (U4qfh7 & Mzpfh7);
	assign Mzpfh7 = (W0wfh7 & C1wfh7);
	assign C1wfh7 = (I1wfh7 & O1ufh7);
	assign I1wfh7 = (Gnqfh7 & Odsfh7);
	assign W0wfh7 = (Korfh7 & Geqfh7);
	assign Geqfh7 = (~(O1wfh7 & K0vfh7));
	assign Korfh7 = (~(Q6vfh7 & K0vfh7));
	assign U4qfh7 = (U1wfh7 & A2wfh7);
	assign A2wfh7 = (G2wfh7 & M2wfh7);
	assign M2wfh7 = (S2wfh7 & Y2wfh7);
	assign Y2wfh7 = (E3wfh7 & Ivpfh7);
	assign Ivpfh7 = (K3wfh7 | Awrfh7);
	assign E3wfh7 = (G2rfh7 & Mzrfh7);
	assign Mzrfh7 = (~(Isrfh7 & G2ufh7));
	assign Isrfh7 = (!E6rfh7);
	assign G2rfh7 = (~(Q6vfh7 & G8vfh7));
	assign S2wfh7 = (Wcufh7 & Mwpfh7);
	assign Mwpfh7 = (~(Omvfh7 & I7rfh7));
	assign Wcufh7 = (~(Ogvfh7 & M5vfh7));
	assign G2wfh7 = (Q3wfh7 & W3wfh7);
	assign W3wfh7 = (U7sfh7 & Oyqfh7);
	assign U7sfh7 = (~(Errfh7 & C4wfh7));
	assign C4wfh7 = (~(I4wfh7 & I7vfh7));
	assign Q3wfh7 = (Wcrfh7 & O7sfh7);
	assign O7sfh7 = (~(Awvfh7 & G2ufh7));
	assign Wcrfh7 = (~(Igvfh7 & Errfh7));
	assign U1wfh7 = (O4wfh7 & U4wfh7);
	assign U4wfh7 = (A5wfh7 & G5wfh7);
	assign G5wfh7 = (Mttfh7 & U4vfh7);
	assign U4vfh7 = (!Kfsfh7);
	assign Kfsfh7 = (Azvfh7 & I7rfh7);
	assign Mttfh7 = (~(G5vfh7 & G2ufh7));
	assign A5wfh7 = (Krqfh7 & Aeqfh7);
	assign Aeqfh7 = (~(C1vfh7 & Errfh7));
	assign Krqfh7 = (M5wfh7 | Iytfh7);
	assign O4wfh7 = (S5wfh7 & Y5wfh7);
	assign Y5wfh7 = (Shsfh7 & Gzpfh7);
	assign Gzpfh7 = (E6wfh7 & K6wfh7);
	assign K6wfh7 = (Q6wfh7 & Krtfh7);
	assign Krtfh7 = (Awrfh7 | W6wfh7);
	assign Q6wfh7 = (Q6qfh7 & Qxrfh7);
	assign Qxrfh7 = (~(M8vfh7 & M5vfh7));
	assign E6wfh7 = (C7wfh7 & Shufh7);
	assign Shufh7 = (I7wfh7 & O7wfh7);
	assign O7wfh7 = (Qctfh7 | K6rfh7);
	assign K6rfh7 = (!Akrfh7);
	assign Akrfh7 = (U7wfh7 & S2xfh7[9]);
	assign U7wfh7 = (~(A8wfh7 | G8wfh7));
	assign I7wfh7 = (M8wfh7 & S8wfh7);
	assign S8wfh7 = (W6wfh7 | Iytfh7);
	assign W6wfh7 = (!Gkrfh7);
	assign M8wfh7 = (M5rfh7 | Uprfh7);
	assign C7wfh7 = (A8tfh7 & Ojsfh7);
	assign Ojsfh7 = (Ovrfh7 | Awrfh7);
	assign A8tfh7 = (Y8wfh7 & W3sfh7);
	assign W3sfh7 = (O7vfh7 | Qctfh7);
	assign Qctfh7 = (!C7rfh7);
	assign Y8wfh7 = (K3sfh7 & Ynrfh7);
	assign Ynrfh7 = (~(Azvfh7 & G8vfh7));
	assign K3sfh7 = (~(Klrfh7 & G8vfh7));
	assign Shsfh7 = (Yqufh7 & Ovpfh7);
	assign Ovpfh7 = (~(E9wfh7 & I7rfh7));
	assign Yqufh7 = (~(Azvfh7 & G2ufh7));
	assign S5wfh7 = (Ykrfh7 & G2tfh7);
	assign G2tfh7 = (K9wfh7 & Q9wfh7);
	assign Q9wfh7 = (W9wfh7 & C1ufh7);
	assign W9wfh7 = (Qrqfh7 & S2rfh7);
	assign Qrqfh7 = (Ovrfh7 | O7vfh7);
	assign K9wfh7 = (Erqfh7 & Wiqfh7);
	assign Wiqfh7 = (~(Ujtfh7 & G2ufh7));
	assign Erqfh7 = (M5wfh7 | O7vfh7);
	assign Ykrfh7 = (~(Cawfh7 | Iawfh7));
	assign HRDATA[0] = (~(Oawfh7 & Uawfh7));
	assign Uawfh7 = (Abwfh7 & Gbwfh7);
	assign Gbwfh7 = (Mbwfh7 & Sqqfh7);
	assign Sqqfh7 = (Wrvfh7 | Iytfh7);
	assign Mbwfh7 = (Q3rfh7 & M2rfh7);
	assign M2rfh7 = (!Iawfh7);
	assign Iawfh7 = (Ujtfh7 & Errfh7);
	assign Q3rfh7 = (~(Gwvfh7 & I7rfh7));
	assign Abwfh7 = (Ivvfh7 & Mbsfh7);
	assign Mbsfh7 = (~(G2ufh7 & Sbwfh7));
	assign Sbwfh7 = (C7rfh7 | Iprfh7);
	assign Ivvfh7 = (Udtfh7 & Gzqfh7);
	assign Gzqfh7 = (~(Ogvfh7 & I7rfh7));
	assign Udtfh7 = (!A8sfh7);
	assign A8sfh7 = (C1vfh7 & I7rfh7);
	assign Oawfh7 = (Ybwfh7 & Ecwfh7);
	assign Ecwfh7 = (Kcwfh7 & Eisfh7);
	assign Eisfh7 = (Qcwfh7 & Skqfh7);
	assign Skqfh7 = (Uvrfh7 | S2vfh7);
	assign Qcwfh7 = (C7qfh7 & Cyufh7);
	assign Cyufh7 = (~(C1vfh7 & M5vfh7));
	assign C7qfh7 = (~(Qivfh7 & G8vfh7));
	assign Kcwfh7 = (~(Cgtfh7 | Koqfh7));
	assign Koqfh7 = (~(Wcwfh7 & Ujrfh7));
	assign Ujrfh7 = (~(Klrfh7 & G2ufh7));
	assign Wcwfh7 = (U1qfh7 & O1ufh7);
	assign O1ufh7 = (Iaufh7 | Awrfh7);
	assign U1qfh7 = (K3wfh7 | Uprfh7);
	assign Cgtfh7 = (G2vfh7 | C7vfh7);
	assign C7vfh7 = (Ykvfh7 & M5vfh7);
	assign G2vfh7 = (G8vfh7 & Gkrfh7);
	assign Ybwfh7 = (Cdwfh7 & Usvfh7);
	assign Usvfh7 = (Idwfh7 & Odwfh7);
	assign Odwfh7 = (Udwfh7 & Aewfh7);
	assign Aewfh7 = (Shqfh7 & Q6qfh7);
	assign Q6qfh7 = (~(W0vfh7 & I7rfh7));
	assign Shqfh7 = (~(Gewfh7 & Errfh7));
	assign Udwfh7 = (Abtfh7 & Y2qfh7);
	assign Y2qfh7 = (!Gtrfh7);
	assign Gtrfh7 = (Azvfh7 & M5vfh7);
	assign Abtfh7 = (~(G2ufh7 & Gkrfh7));
	assign Idwfh7 = (Mewfh7 & Sewfh7);
	assign Sewfh7 = (Yerfh7 & Ussfh7);
	assign Ussfh7 = (~(Gwvfh7 & K0vfh7));
	assign Gwvfh7 = (!Gevfh7);
	assign Yerfh7 = (Oprfh7 | Iytfh7);
	assign Oprfh7 = (!Igvfh7);
	assign Mewfh7 = (Eusfh7 & Mhsfh7);
	assign Mhsfh7 = (Yewfh7 & Efwfh7);
	assign Efwfh7 = (Kfwfh7 | O7vfh7);
	assign Yewfh7 = (~(M5vfh7 & Qfwfh7));
	assign Qfwfh7 = (Iprfh7 | Qovfh7);
	assign Eusfh7 = (Ykqfh7 & Gnqfh7);
	assign Gnqfh7 = (~(C1vfh7 & K0vfh7));
	assign Ykqfh7 = (!Eirfh7);
	assign Eirfh7 = (Qovfh7 & K0vfh7);
	assign Cdwfh7 = (Q6tfh7 & Mnsfh7);
	assign Mnsfh7 = (Wfwfh7 & Cgwfh7);
	assign Cgwfh7 = (Igwfh7 & Ogwfh7);
	assign Ogwfh7 = (Ugwfh7 & Ahwfh7);
	assign Ahwfh7 = (Mhrfh7 & Oaqfh7);
	assign Oaqfh7 = (~(K9vfh7 & Osrfh7));
	assign Mhrfh7 = (~(O1wfh7 & Errfh7));
	assign Ugwfh7 = (Ytqfh7 & Yhqfh7);
	assign Yhqfh7 = (~(Gewfh7 & K0vfh7));
	assign Ytqfh7 = (Yqvfh7 | Uprfh7);
	assign Igwfh7 = (Ghwfh7 & Mhwfh7);
	assign Mhwfh7 = (Oyqfh7 & Idsfh7);
	assign Idsfh7 = (U7vfh7 | Uprfh7);
	assign U7vfh7 = (!Gewfh7);
	assign Oyqfh7 = (~(K9vfh7 & I7rfh7));
	assign Ghwfh7 = (Wxufh7 & Carfh7);
	assign Carfh7 = (~(Klrfh7 & M5vfh7));
	assign Wxufh7 = (~(O1wfh7 & G8vfh7));
	assign Wfwfh7 = (Shwfh7 & Yhwfh7);
	assign Yhwfh7 = (Eiwfh7 & Kiwfh7);
	assign Kiwfh7 = (Qftfh7 & K6qfh7);
	assign K6qfh7 = (~(Gewfh7 & I7rfh7));
	assign Qftfh7 = (Qiwfh7 | Iytfh7);
	assign Eiwfh7 = (W6rfh7 & Udsfh7);
	assign Udsfh7 = (~(Csrfh7 & G8vfh7));
	assign W6rfh7 = (Wiwfh7 & E0tfh7);
	assign E0tfh7 = (Cjwfh7 & Ijwfh7);
	assign Ijwfh7 = (Wftfh7 | S2vfh7);
	assign Cjwfh7 = (Qiwfh7 | O7vfh7);
	assign Wiwfh7 = (Ojwfh7 & Ujwfh7);
	assign Ujwfh7 = (Wftfh7 | O7vfh7);
	assign Ojwfh7 = (S8vfh7 | S2vfh7);
	assign Shwfh7 = (Akwfh7 & Gkwfh7);
	assign Gkwfh7 = (Qoqfh7 & Uvufh7);
	assign Uvufh7 = (Mkwfh7 & Skwfh7);
	assign Skwfh7 = (Ykwfh7 | O7vfh7);
	assign Mkwfh7 = (Elwfh7 | Iytfh7);
	assign Elwfh7 = (!M8vfh7);
	assign Qoqfh7 = (Klwfh7 & Qlwfh7);
	assign Qlwfh7 = (Wlwfh7 & S5rfh7);
	assign S5rfh7 = (~(Osrfh7 & Cmwfh7));
	assign Cmwfh7 = (~(Imwfh7 & Qiwfh7));
	assign Wlwfh7 = (Shrfh7 & E9qfh7);
	assign E9qfh7 = (~(Awvfh7 & Osrfh7));
	assign Shrfh7 = (~(G5vfh7 & Osrfh7));
	assign Klwfh7 = (Ecqfh7 & S8sfh7);
	assign S8sfh7 = (Iaufh7 | Uprfh7);
	assign Ecqfh7 = (~(Omwfh7 | Cawfh7));
	assign Cawfh7 = (~(Ipsfh7 & Cyqfh7));
	assign Cyqfh7 = (Qiwfh7 | S2vfh7);
	assign Ipsfh7 = (Yztfh7 & I1ufh7);
	assign I1ufh7 = (~(K9vfh7 & G8vfh7));
	assign Yztfh7 = (~(O1wfh7 & I7rfh7));
	assign Omwfh7 = (~(Umwfh7 & Anwfh7));
	assign Anwfh7 = (~(K0vfh7 & Gnwfh7));
	assign Gnwfh7 = (~(Mnwfh7 & Snwfh7));
	assign Snwfh7 = (Ynwfh7 & Eowfh7);
	assign Eowfh7 = (Kowfh7 & Imwfh7);
	assign Imwfh7 = (~(Iprfh7 | Klrfh7));
	assign Klrfh7 = (~(Qowfh7 | Wowfh7));
	assign Iprfh7 = (~(Cpwfh7 | Qowfh7));
	assign Kowfh7 = (~(Azvfh7 | Gkrfh7));
	assign Gkrfh7 = (~(Ipwfh7 | Wowfh7));
	assign Azvfh7 = (~(Opwfh7 | Upwfh7));
	assign Ynwfh7 = (Aqwfh7 & Gqwfh7);
	assign Gqwfh7 = (~(C7rfh7 | Awvfh7));
	assign Awvfh7 = (!Qlsfh7);
	assign Aqwfh7 = (Yqvfh7 & Ovrfh7);
	assign Yqvfh7 = (Opwfh7 | Mqwfh7);
	assign Mnwfh7 = (Sqwfh7 & Yqwfh7);
	assign Yqwfh7 = (Erwfh7 & Krwfh7);
	assign Krwfh7 = (Iaufh7 & E6rfh7);
	assign E6rfh7 = (Upwfh7 | Ipwfh7);
	assign Iaufh7 = (Cpwfh7 | Opwfh7);
	assign Erwfh7 = (~(Csrfh7 | Ujtfh7));
	assign Ujtfh7 = (!Qiwfh7);
	assign Qiwfh7 = (Cpwfh7 | Qrwfh7);
	assign Csrfh7 = (!Ansfh7);
	assign Sqwfh7 = (Wrwfh7 & Cswfh7);
	assign Cswfh7 = (~(K9vfh7 | E9wfh7));
	assign K9vfh7 = (!K3wfh7);
	assign K3wfh7 = (Qrwfh7 | Wowfh7);
	assign Wrwfh7 = (~(Gnufh7 | G5vfh7));
	assign G5vfh7 = (!Usufh7);
	assign Usufh7 = (Opwfh7 | Wowfh7);
	assign Wowfh7 = (~(Iswfh7 & S2xfh7[3]));
	assign Iswfh7 = (~(Oswfh7 | S2xfh7[6]));
	assign Gnufh7 = (!Wftfh7);
	assign Wftfh7 = (Upwfh7 | Qrwfh7);
	assign Umwfh7 = (~(Osrfh7 & Uswfh7));
	assign Uswfh7 = (~(Atwfh7 & Gtwfh7));
	assign Gtwfh7 = (Mtwfh7 & Stwfh7);
	assign Stwfh7 = (Ytwfh7 & Euwfh7);
	assign Euwfh7 = (~(M8vfh7 | C1vfh7));
	assign C1vfh7 = (!Kfwfh7);
	assign Kfwfh7 = (Kuwfh7 | Ipwfh7);
	assign Ytwfh7 = (~(Gewfh7 | Igvfh7));
	assign Igvfh7 = (~(Quwfh7 | Ipwfh7));
	assign Gewfh7 = (~(Wuwfh7 | Qrwfh7));
	assign Mtwfh7 = (Cvwfh7 & M5wfh7);
	assign M5wfh7 = (!Ykvfh7);
	assign Ykvfh7 = (~(Ivwfh7 | Qowfh7));
	assign Cvwfh7 = (~(O1wfh7 | Cytfh7));
	assign Cytfh7 = (!M5rfh7);
	assign Atwfh7 = (Ovwfh7 & Uvwfh7);
	assign Uvwfh7 = (Awwfh7 & Gevfh7);
	assign Gevfh7 = (Wuwfh7 | Opwfh7);
	assign Awwfh7 = (I7vfh7 & M2vfh7);
	assign I7vfh7 = (Kuwfh7 | Qowfh7);
	assign Ovwfh7 = (Gwwfh7 & I4wfh7);
	assign I4wfh7 = (Mwwfh7 & Wrvfh7);
	assign Mwwfh7 = (~(W0vfh7 | Qovfh7));
	assign Qovfh7 = (!Qfvfh7);
	assign Qfvfh7 = (Ivwfh7 | Ipwfh7);
	assign W0vfh7 = (!Swwfh7);
	assign Gwwfh7 = (~(Qivfh7 | Ogvfh7));
	assign Ogvfh7 = (!Wxvfh7);
	assign Qivfh7 = (!Uvrfh7);
	assign Uvrfh7 = (Ivwfh7 | Qrwfh7);
	assign Osrfh7 = (Ywwfh7 & G8wfh7);
	assign Akwfh7 = (~(Kuufh7 | Cgqfh7));
	assign Cgqfh7 = (~(Exwfh7 & Kxwfh7));
	assign Kxwfh7 = (Qxwfh7 & C1ufh7);
	assign C1ufh7 = (Ovrfh7 | Uprfh7);
	assign Qxwfh7 = (S2rfh7 & K9qfh7);
	assign K9qfh7 = (~(Errfh7 & C7rfh7));
	assign S2rfh7 = (Ovrfh7 | S2vfh7);
	assign Ovrfh7 = (Cpwfh7 | Ipwfh7);
	assign Cpwfh7 = (~(Wxwfh7 & S2xfh7[3]));
	assign Wxwfh7 = (~(S2xfh7[2] | S2xfh7[6]));
	assign Exwfh7 = (Cywfh7 & Ytsfh7);
	assign Ytsfh7 = (Iywfh7 & Oywfh7);
	assign Oywfh7 = (Swwfh7 | O7vfh7);
	assign O7vfh7 = (!G8vfh7);
	assign G8vfh7 = (Uywfh7 & S2xfh7[8]);
	assign Uywfh7 = (~(G8wfh7 | S2xfh7[9]));
	assign Swwfh7 = (Qowfh7 | Quwfh7);
	assign Iywfh7 = (~(M5vfh7 & Azwfh7));
	assign Azwfh7 = (~(Gzwfh7 & Wrvfh7));
	assign Wrvfh7 = (Wuwfh7 | Qowfh7);
	assign Gzwfh7 = (~(C7rfh7 | O1wfh7));
	assign O1wfh7 = (!Ecvfh7);
	assign Ecvfh7 = (Wuwfh7 | Ipwfh7);
	assign Wuwfh7 = (~(Mzwfh7 & S2xfh7[6]));
	assign Mzwfh7 = (~(Szwfh7 | S2xfh7[2]));
	assign C7rfh7 = (~(Mqwfh7 | Qowfh7));
	assign Cywfh7 = (Eorfh7 & U7qfh7);
	assign U7qfh7 = (Qlsfh7 | Awrfh7);
	assign Awrfh7 = (!Errfh7);
	assign Qlsfh7 = (Upwfh7 | Qowfh7);
	assign Qowfh7 = (~(Yzwfh7 & E0xfh7));
	assign Upwfh7 = (~(K0xfh7 & S2xfh7[2]));
	assign Eorfh7 = (S2vfh7 | M5rfh7);
	assign M5rfh7 = (Qrwfh7 | Quwfh7);
	assign S2vfh7 = (!M5vfh7);
	assign M5vfh7 = (Q0xfh7 & S2xfh7[9]);
	assign Q0xfh7 = (~(S2xfh7[7] | S2xfh7[8]));
	assign Kuufh7 = (Efsfh7 | Stsfh7);
	assign Stsfh7 = (~(Wxvfh7 | Uprfh7));
	assign Uprfh7 = (!G2ufh7);
	assign Wxvfh7 = (Ivwfh7 | Opwfh7);
	assign Ivwfh7 = (~(W0xfh7 & S2xfh7[6]));
	assign W0xfh7 = (~(S2xfh7[2] | S2xfh7[3]));
	assign Efsfh7 = (Q6vfh7 & G2ufh7);
	assign G2ufh7 = (C1xfh7 & S2xfh7[9]);
	assign C1xfh7 = (~(G8wfh7 | S2xfh7[8]));
	assign G8wfh7 = (!S2xfh7[7]);
	assign Q6vfh7 = (!M2vfh7);
	assign M2vfh7 = (Opwfh7 | Kuwfh7);
	assign Q6tfh7 = (I1xfh7 & O1xfh7);
	assign O1xfh7 = (W9rfh7 & O1qfh7);
	assign O1qfh7 = (~(Errfh7 & M8vfh7));
	assign M8vfh7 = (~(Kuwfh7 | Qrwfh7));
	assign Kuwfh7 = (~(U1xfh7 & S2xfh7[6]));
	assign U1xfh7 = (~(Oswfh7 | S2xfh7[3]));
	assign W9rfh7 = (!Wupfh7);
	assign Wupfh7 = (~(Ansfh7 | Iytfh7));
	assign Iytfh7 = (!I7rfh7);
	assign I7rfh7 = (A2xfh7 & S2xfh7[8]);
	assign A2xfh7 = (~(S2xfh7[7] | S2xfh7[9]));
	assign Ansfh7 = (Mqwfh7 | Ipwfh7);
	assign Ipwfh7 = (~(S2xfh7[4] & Yzwfh7));
	assign Yzwfh7 = (!S2xfh7[5]);
	assign I1xfh7 = (Q9qfh7 & Odsfh7);
	assign Odsfh7 = (~(Omvfh7 & K0vfh7));
	assign K0vfh7 = (Ywwfh7 & S2xfh7[7]);
	assign Ywwfh7 = (~(S2xfh7[8] | S2xfh7[9]));
	assign Omvfh7 = (!Ykwfh7);
	assign Ykwfh7 = (Opwfh7 | Quwfh7);
	assign Quwfh7 = (~(G2xfh7 & S2xfh7[6]));
	assign G2xfh7 = (~(Szwfh7 | Oswfh7));
	assign Szwfh7 = (!S2xfh7[3]);
	assign Opwfh7 = (~(S2xfh7[5] & E0xfh7));
	assign E0xfh7 = (!S2xfh7[4]);
	assign Q9qfh7 = (~(E9wfh7 & Errfh7));
	assign Errfh7 = (M2xfh7 & S2xfh7[9]);
	assign M2xfh7 = (~(A8wfh7 | S2xfh7[7]));
	assign A8wfh7 = (!S2xfh7[8]);
	assign E9wfh7 = (!S8vfh7);
	assign S8vfh7 = (Mqwfh7 | Qrwfh7);
	assign Qrwfh7 = (~(S2xfh7[5] & S2xfh7[4]));
	assign Mqwfh7 = (~(K0xfh7 & Oswfh7));
	assign Oswfh7 = (!S2xfh7[2]);
	assign K0xfh7 = (~(S2xfh7[3] | S2xfh7[6]));

	always @(posedge HCLK) J3xfh7 <= Dspfh7;
	always @(posedge HCLK) H4xfh7 <= Yrpfh7;
	always @(posedge HCLK) F5xfh7 <= Trpfh7;
	always @(posedge HCLK) D6xfh7 <= Orpfh7;
	always @(posedge HCLK) B7xfh7 <= Jrpfh7;
	always @(posedge HCLK) Z7xfh7 <= Erpfh7;
	always @(posedge HCLK) X8xfh7 <= Zqpfh7;
	always @(posedge HCLK) V9xfh7 <= Uqpfh7;
endmodule

/*     Design Summary
                      modules: 1
                         udps: 0
                mod flatinsts: 0
                udp flatinsts: 0
                        nodes: 1167 (0)
                  node widths: 1251 (0)
                      process: 8 (0)
                        gates: 0 (0)
                  contassigns: 1187 (0)
                        ports: 13 (0)
                     modinsts: 0 (0)
                     udpinsts: 0 (0)
                 portconnects: 0 (0)
*/

// END: VCS tokens
// Currnet Allocated Virtual Memory Size:  203.46 MB 
// ===================
//  DESIGN STATISTICS 
// ===================
//
// No. of design lines (note: includes comments and blank lines)                 2399
//
//                                                                             Static<!>  Elaborated<@>    Size(KB)
//                                                                             ------     ----------       --------
// No. of all modules (module+interface+package+program):                           1              1              0 
// No. of module instances:                                                         1              1              0 
// No. of all processes:                                                            8              8              0 
// No. of all nodes (variable+net):                                              1167           1167              0 
// No. of constants                                                               101            101              0 
// No. of scalar nets:                                                           1152           1152              0 
// No. of vector nets:                                                              7              7              0 
// No. of scalar regs/logics:                                                       8              8              0 
// No. of always blocks:                                                            8              8              0 
// No. of operators:                                                             1417           1417              0 
// No. of bit selects:                                                             99             99              0 
// No. of non-blocking assignments:                                                 8              8              0 
// No. of continuous assignments:                                                1187           1187              0 
//
// No. of top level modules/programs/packages/interfaces:                           1
//        modules:                                                                  1
// No. of module+udp ports:                                                        13
//
// Footnotes:
// ---------
// <!> No. of unique instances of a construct as it appears in the source.
// <@> No. of instances of a construct when the design is elaborated.
// K, M, B: Counted in thousands, millions and billions (if big numbers are present)
//
// <#> Multiple specify blocks in the SAME module are combined and counted
//     as ONE block.
